Ext.data.JsonP.CanvasRenderingContext2D({"tagname":"class","name":"CanvasRenderingContext2D","autodetected":{},"files":[{"filename":"Canvas.js","href":"Canvas.html#CanvasRenderingContext2D"}],"extends":null,"members":[{"name":"circle","tagname":"method","owner":"CanvasRenderingContext2D","id":"method-circle","meta":{}},{"name":"convertHexRgbToDecRgba","tagname":"method","owner":"CanvasRenderingContext2D","id":"method-convertHexRgbToDecRgba","meta":{}},{"name":"drawText","tagname":"method","owner":"CanvasRenderingContext2D","id":"method-drawText","meta":{}},{"name":"drawWrappedText","tagname":"method","owner":"CanvasRenderingContext2D","id":"method-drawWrappedText","meta":{}},{"name":"getFontSize","tagname":"method","owner":"CanvasRenderingContext2D","id":"method-getFontSize","meta":{}},{"name":"strokeLine","tagname":"method","owner":"CanvasRenderingContext2D","id":"method-strokeLine","meta":{}},{"name":"textHeight","tagname":"method","owner":"CanvasRenderingContext2D","id":"method-textHeight","meta":{}},{"name":"textWidth","tagname":"method","owner":"CanvasRenderingContext2D","id":"method-textWidth","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-CanvasRenderingContext2D","short_doc":"Some convenience methods for the default canvas 2D context. ...","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Files</h4><div class='dependency'><a href='source/Canvas.html#CanvasRenderingContext2D' target='_blank'>Canvas.js</a></div></pre><div class='doc-contents'><p>Some convenience methods for the default canvas 2D context. These allow of drawing\ncircles, lines, text with auto-wrapping, etc.</p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-circle' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='CanvasRenderingContext2D'>CanvasRenderingContext2D</span><br/><a href='source/Canvas.html#CanvasRenderingContext2D-method-circle' target='_blank' class='view-source'>view source</a></div><a href='#!/api/CanvasRenderingContext2D-method-circle' class='name expandable'>circle</a>( <span class='pre'>x, y, radius</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Creates a circular path on the canvas. ...</div><div class='long'><p>Creates a circular path on the canvas.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>x</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>center horizontal position.</p>\n</div></li><li><span class='pre'>y</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>center vertical position.</p>\n</div></li><li><span class='pre'>radius</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>circle radius.</p>\n</div></li></ul></div></div></div><div id='method-convertHexRgbToDecRgba' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='CanvasRenderingContext2D'>CanvasRenderingContext2D</span><br/><a href='source/Canvas.html#CanvasRenderingContext2D-method-convertHexRgbToDecRgba' target='_blank' class='view-source'>view source</a></div><a href='#!/api/CanvasRenderingContext2D-method-convertHexRgbToDecRgba' class='name expandable'>convertHexRgbToDecRgba</a>( <span class='pre'>str, [opacity]</span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Converts the hexidecimal RGB notation (#FFAA00) to a decimal notation using the rgba\nfunction. ...</div><div class='long'><p>Converts the hexidecimal RGB notation (#FFAA00) to a decimal notation using the rgba\nfunction. It will output a string that can be used in defining colors and opacity in Canvas.\nBy default it will return rgba(0,0,0,0) if no or incorrect values are passed. This is a black\nand completely transparent rgba() value.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>str</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>Hexidecimal RGB notation like #FFAA00. The '#' is optional, the rest of\nthe strings needs to contain 6 characters.</p>\n</div></li><li><span class='pre'>opacity</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> (optional)<div class='sub-desc'><p>Will set the opacity in the rgba function. Defaults to 1.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'><p>The rgba() notation.</p>\n</div></li></ul></div></div></div><div id='method-drawText' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='CanvasRenderingContext2D'>CanvasRenderingContext2D</span><br/><a href='source/Canvas.html#CanvasRenderingContext2D-method-drawText' target='_blank' class='view-source'>view source</a></div><a href='#!/api/CanvasRenderingContext2D-method-drawText' class='name expandable'>drawText</a>( <span class='pre'>text, x, y, [maxWidth]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Draws a string of text. ...</div><div class='long'><p>Draws a string of text.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>text</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>text to draw.</p>\n</div></li><li><span class='pre'>x</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>horizontal position.</p>\n</div></li><li><span class='pre'>y</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>vertical position.</p>\n</div></li><li><span class='pre'>maxWidth</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> (optional)<div class='sub-desc'><p>maximum width in pixels.</p>\n</div></li></ul></div></div></div><div id='method-drawWrappedText' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='CanvasRenderingContext2D'>CanvasRenderingContext2D</span><br/><a href='source/Canvas.html#CanvasRenderingContext2D-method-drawWrappedText' target='_blank' class='view-source'>view source</a></div><a href='#!/api/CanvasRenderingContext2D-method-drawWrappedText' class='name expandable'>drawWrappedText</a>( <span class='pre'>text, x, y, width, lineHeight, [maxHeight], [clipX], [clipY]</span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Draws a string of wrapped text. ...</div><div class='long'><p>Draws a string of wrapped text.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>text</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>text to draw.</p>\n</div></li><li><span class='pre'>x</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>horizontal position.</p>\n</div></li><li><span class='pre'>y</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>vertical position.</p>\n</div></li><li><span class='pre'>width</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>width.</p>\n</div></li><li><span class='pre'>lineHeight</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>number of pixels to advance down after each line break.</p>\n</div></li><li><span class='pre'>maxHeight</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> (optional)<div class='sub-desc'><p>maximum height in pixels</p>\n</div></li><li><span class='pre'>clipX</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> (optional)<div class='sub-desc'><p>The number of pixels horizontally that should be clipped (from the left-top corner).</p>\n</div></li><li><span class='pre'>clipY</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> (optional)<div class='sub-desc'><p>The number of pixels vertically that should be clipped (from the left-top corner).</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span><div class='sub-desc'><p>Total height of the drawn text</p>\n</div></li></ul></div></div></div><div id='method-getFontSize' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='CanvasRenderingContext2D'>CanvasRenderingContext2D</span><br/><a href='source/Canvas.html#CanvasRenderingContext2D-method-getFontSize' target='_blank' class='view-source'>view source</a></div><a href='#!/api/CanvasRenderingContext2D-method-getFontSize' class='name expandable'>getFontSize</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Gets the font size from CSS font specifier string. ...</div><div class='long'><p>Gets the font size from CSS font specifier string. font property of canvas object contains font specification.</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span><div class='sub-desc'><p>current font size of the text</p>\n</div></li></ul></div></div></div><div id='method-strokeLine' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='CanvasRenderingContext2D'>CanvasRenderingContext2D</span><br/><a href='source/Canvas.html#CanvasRenderingContext2D-method-strokeLine' target='_blank' class='view-source'>view source</a></div><a href='#!/api/CanvasRenderingContext2D-method-strokeLine' class='name expandable'>strokeLine</a>( <span class='pre'>x1, y1, x2, y2</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Strokes a straight line between two points. ...</div><div class='long'><p>Strokes a straight line between two points.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>x1</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>horizontal component of the start point.</p>\n</div></li><li><span class='pre'>y1</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>vertical component of the start point.</p>\n</div></li><li><span class='pre'>x2</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>horizontal component of the end point.</p>\n</div></li><li><span class='pre'>y2</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>vertical component of the end point.</p>\n</div></li></ul></div></div></div><div id='method-textHeight' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='CanvasRenderingContext2D'>CanvasRenderingContext2D</span><br/><a href='source/Canvas.html#CanvasRenderingContext2D-method-textHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/CanvasRenderingContext2D-method-textHeight' class='name expandable'>textHeight</a>( <span class='pre'>text, width, lineHeight</span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Measures the height of a text when wrapped to a certain width. ...</div><div class='long'><p>Measures the height of a text when wrapped to a certain width.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>text</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>text to draw.</p>\n</div></li><li><span class='pre'>width</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>width.</p>\n</div></li><li><span class='pre'>lineHeight</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>number of pixels to advance down after each line break.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span><div class='sub-desc'><p>height of the text</p>\n</div></li></ul></div></div></div><div id='method-textWidth' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='CanvasRenderingContext2D'>CanvasRenderingContext2D</span><br/><a href='source/Canvas.html#CanvasRenderingContext2D-method-textWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/CanvasRenderingContext2D-method-textWidth' class='name expandable'>textWidth</a>( <span class='pre'>text</span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Measures a piece of text. ...</div><div class='long'><p>Measures a piece of text.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>text</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>text to measure.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span><div class='sub-desc'><p>the width in pixels of the given text string if rendered with the current font.</p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{}});