Ext.data.JsonP.Ext_ux_layout_RowLayout({"tagname":"class","name":"Ext.ux.layout.RowLayout","autodetected":{"members":true},"files":[{"filename":"ux-all-debug.js","href":"ux-all-debug.html#Ext-ux-layout-RowLayout"}],"extends":"Ext.layout.ContainerLayout","members":[{"name":"extraCls","tagname":"cfg","owner":"Ext.layout.ContainerLayout","id":"cfg-extraCls","meta":{}},{"name":"renderHidden","tagname":"cfg","owner":"Ext.layout.ContainerLayout","id":"cfg-renderHidden","meta":{}},{"name":"allowContainerRemove","tagname":"property","owner":"Ext.ux.layout.RowLayout","id":"property-allowContainerRemove","meta":{"private":true}},{"name":"fieldTpl","tagname":"property","owner":"Ext.layout.ContainerLayout","id":"property-fieldTpl","meta":{}},{"name":"getLayoutTargetSize","tagname":"property","owner":"Ext.layout.ContainerLayout","id":"property-getLayoutTargetSize","meta":{"private":true}},{"name":"monitorResize","tagname":"property","owner":"Ext.ux.layout.RowLayout","id":"property-monitorResize","meta":{"private":true}},{"name":"type","tagname":"property","owner":"Ext.ux.layout.RowLayout","id":"property-type","meta":{"private":true}},{"name":"constructor","tagname":"method","owner":"Ext.layout.ContainerLayout","id":"method-constructor","meta":{}},{"name":"IEMeasureHack","tagname":"method","owner":"Ext.layout.ContainerLayout","id":"method-IEMeasureHack","meta":{"private":true}},{"name":"afterRemove","tagname":"method","owner":"Ext.layout.ContainerLayout","id":"method-afterRemove","meta":{"private":true}},{"name":"configureItem","tagname":"method","owner":"Ext.layout.ContainerLayout","id":"method-configureItem","meta":{"private":true}},{"name":"destroy","tagname":"method","owner":"Ext.layout.ContainerLayout","id":"method-destroy","meta":{"private":true,"protected":true}},{"name":"getLayoutTargetSize","tagname":"method","owner":"Ext.ux.layout.RowLayout","id":"method-getLayoutTargetSize","meta":{"private":true}},{"name":"getRenderedItems","tagname":"method","owner":"Ext.layout.ContainerLayout","id":"method-getRenderedItems","meta":{"private":true}},{"name":"isValidParent","tagname":"method","owner":"Ext.ux.layout.RowLayout","id":"method-isValidParent","meta":{"private":true}},{"name":"layout","tagname":"method","owner":"Ext.layout.ContainerLayout","id":"method-layout","meta":{"private":true}},{"name":"onLayout","tagname":"method","owner":"Ext.ux.layout.RowLayout","id":"method-onLayout","meta":{"private":true}},{"name":"onRemove","tagname":"method","owner":"Ext.layout.ContainerLayout","id":"method-onRemove","meta":{"private":true}},{"name":"onResize","tagname":"method","owner":"Ext.layout.ContainerLayout","id":"method-onResize","meta":{"private":true}},{"name":"parseMargins","tagname":"method","owner":"Ext.layout.ContainerLayout","id":"method-parseMargins","meta":{}},{"name":"renderAll","tagname":"method","owner":"Ext.ux.layout.RowLayout","id":"method-renderAll","meta":{"private":true}},{"name":"renderItem","tagname":"method","owner":"Ext.layout.ContainerLayout","id":"method-renderItem","meta":{"private":true}},{"name":"runLayout","tagname":"method","owner":"Ext.layout.ContainerLayout","id":"method-runLayout","meta":{"private":true}},{"name":"setContainer","tagname":"method","owner":"Ext.layout.ContainerLayout","id":"method-setContainer","meta":{"private":true}}],"alternateClassNames":[],"aliases":{},"id":"class-Ext.ux.layout.RowLayout","short_doc":"This is the layout style of choice for creating structural layouts in a multi-row format where the height of\neach row...","component":false,"superclasses":["Ext.layout.ContainerLayout"],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Hierarchy</h4><div class='subclass first-child'><a href='#!/api/Ext.layout.ContainerLayout' rel='Ext.layout.ContainerLayout' class='docClass'>Ext.layout.ContainerLayout</a><div class='subclass '><strong>Ext.ux.layout.RowLayout</strong></div></div><h4>Files</h4><div class='dependency'><a href='source/ux-all-debug.html#Ext-ux-layout-RowLayout' target='_blank'>ux-all-debug.js</a></div></pre><div class='doc-contents'><p>This is the layout style of choice for creating structural layouts in a multi-row format where the height of\neach row can be specified as a percentage or fixed height.  Row widths can also be fixed, percentage or auto.\nThis class is intended to be extended or created via the layout:'ux.row' <a href=\"#!/api/Ext.Container-cfg-layout\" rel=\"Ext.Container-cfg-layout\" class=\"docClass\">Ext.Container.layout</a> config,\nand should generally not need to be created directly via the new keyword.</p>\n\n\n<p>RowLayout does not have any direct config options (other than inherited ones), but it does support a\nspecific config property of <b><tt>rowHeight</tt></b> that can be included in the config of any panel added to it.  The\nlayout will use the rowHeight (if present) or height of each panel during layout to determine how to size each panel.\nIf height or rowHeight is not specified for a given panel, its height will default to the panel's height (or auto).</p>\n\n\n<p>The height property is always evaluated as pixels, and must be a number greater than or equal to 1.\nThe rowHeight property is always evaluated as a percentage, and must be a decimal value greater than 0 and\nless than 1 (e.g., .25).</p>\n\n\n<p>The basic rules for specifying row heights are pretty simple.  The logic makes two passes through the\nset of contained panels.  During the first layout pass, all panels that either have a fixed height or none\nspecified (auto) are skipped, but their heights are subtracted from the overall container height.  During the second\npass, all panels with rowHeights are assigned pixel heights in proportion to their percentages based on\nthe total <b>remaining</b> container height.  In other words, percentage height panels are designed to fill the space\nleft over by all the fixed-height and/or auto-height panels.  Because of this, while you can specify any number of rows\nwith different percentages, the rowHeights must always add up to 1 (or 100%) when added together, otherwise your\nlayout may not render as expected.  Example usage:</p>\n\n\n<pre><code>// All rows are percentages -- they must add up to 1\nvar p = new <a href=\"#!/api/Ext.Panel\" rel=\"Ext.Panel\" class=\"docClass\">Ext.Panel</a>({\n    title: 'Row Layout - Percentage Only',\n    layout:'ux.row',\n    items: [{\n        title: 'Row 1',\n        rowHeight: .25\n    },{\n        title: 'Row 2',\n        rowHeight: .6\n    },{\n        title: 'Row 3',\n        rowHeight: .15\n    }]\n});\n\n// Mix of height and rowHeight -- all rowHeight values must add\n// up to 1. The first row will take up exactly 120px, and the last two\n// rows will fill the remaining container height.\nvar p = new <a href=\"#!/api/Ext.Panel\" rel=\"Ext.Panel\" class=\"docClass\">Ext.Panel</a>({\n    title: 'Row Layout - Mixed',\n    layout:'ux.row',\n    items: [{\n        title: 'Row 1',\n        height: 120,\n        // standard panel widths are still supported too:\n        width: '50%' // or 200\n    },{\n        title: 'Row 2',\n        rowHeight: .8,\n        width: 300\n    },{\n        title: 'Row 3',\n        rowHeight: .2\n    }]\n});\n</code></pre>\n\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-extraCls' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.layout.ContainerLayout' rel='Ext.layout.ContainerLayout' class='defined-in docClass'>Ext.layout.ContainerLayout</a><br/><a href='source/ext-all-debug.html#Ext-layout-ContainerLayout-cfg-extraCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.layout.ContainerLayout-cfg-extraCls' class='name expandable'>extraCls</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>An optional extra CSS class that will be added to the container. ...</div><div class='long'><p>An optional extra CSS class that will be added to the container. This can be useful for adding\ncustomized styles to the container or any of its children using standard CSS rules. See\n<a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a>.<a href=\"#!/api/Ext.Component-cfg-ctCls\" rel=\"Ext.Component-cfg-ctCls\" class=\"docClass\">ctCls</a> also.</p>\n\n\n<p><b>Note</b>: <tt>extraCls</tt> defaults to <tt>''</tt> except for the following classes\nwhich assign a value by default:\n<div class=\"mdetail-params\"><ul>\n<li><a href=\"#!/api/Ext.layout.AbsoluteLayout\" rel=\"Ext.layout.AbsoluteLayout\" class=\"docClass\">Absolute Layout</a> : <tt>'x-abs-layout-item'</tt></li>\n<li>Box Layout : <tt>'x-box-item'</tt></li>\n<li><a href=\"#!/api/Ext.layout.ColumnLayout\" rel=\"Ext.layout.ColumnLayout\" class=\"docClass\">Column Layout</a> : <tt>'x-column'</tt></li>\n</ul></div>\nTo configure the above Classes with an extra CSS class append to the default.  For example,\nfor ColumnLayout:\n<pre><code>extraCls: 'x-column custom-class'\n</code></pre>\n</p>\n\n</div></div></div><div id='cfg-renderHidden' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.layout.ContainerLayout' rel='Ext.layout.ContainerLayout' class='defined-in docClass'>Ext.layout.ContainerLayout</a><br/><a href='source/ext-all-debug.html#Ext-layout-ContainerLayout-cfg-renderHidden' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.layout.ContainerLayout-cfg-renderHidden' class='name expandable'>renderHidden</a> : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'><p>True to hide each contained item on render (defaults to false).</p>\n</div><div class='long'><p>True to hide each contained item on render (defaults to false).</p>\n</div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-property'>Properties</h3><div class='subsection'><div id='property-allowContainerRemove' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.ux.layout.RowLayout'>Ext.ux.layout.RowLayout</span><br/><a href='source/ux-all-debug.html#Ext-ux-layout-RowLayout-property-allowContainerRemove' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.ux.layout.RowLayout-property-allowContainerRemove' class='name expandable'>allowContainerRemove</a> : Boolean<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>private ...</div><div class='long'><p>private</p>\n<p>Defaults to: <code>false</code></p></div></div></div><div id='property-fieldTpl' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.layout.ContainerLayout' rel='Ext.layout.ContainerLayout' class='defined-in docClass'>Ext.layout.ContainerLayout</a><br/><a href='source/ext-all-debug.html#Ext-layout-ContainerLayout-property-fieldTpl' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.layout.ContainerLayout-property-fieldTpl' class='name expandable'>fieldTpl</a> : <a href=\"#!/api/Ext.Template\" rel=\"Ext.Template\" class=\"docClass\">Ext.Template</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The Ext.Template used by Field rendering layout classes (such as\nExt.layout.FormLayout) to create the DOM structure o...</div><div class='long'><p>The <a href=\"#!/api/Ext.Template\" rel=\"Ext.Template\" class=\"docClass\">Ext.Template</a> used by Field rendering layout classes (such as\n<a href=\"#!/api/Ext.layout.FormLayout\" rel=\"Ext.layout.FormLayout\" class=\"docClass\">Ext.layout.FormLayout</a>) to create the DOM structure of a fully wrapped,\nlabeled and styled form Field. A default Template is supplied, but this may be\noverriden to create custom field structures. The template processes values returned from\n<a href=\"#!/api/Ext.layout.FormLayout-method-getTemplateArgs\" rel=\"Ext.layout.FormLayout-method-getTemplateArgs\" class=\"docClass\">Ext.layout.FormLayout.getTemplateArgs</a>.</p>\n</div></div></div><div id='property-getLayoutTargetSize' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.layout.ContainerLayout' rel='Ext.layout.ContainerLayout' class='defined-in docClass'>Ext.layout.ContainerLayout</a><br/><a href='source/ext-all-debug.html#Ext-layout-ContainerLayout-property-getLayoutTargetSize' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.layout.ContainerLayout-property-getLayoutTargetSize' class='name expandable'>getLayoutTargetSize</a> : Object<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'><p>Placeholder for the derived layouts</p>\n</div><div class='long'><p>Placeholder for the derived layouts</p>\n</div></div></div><div id='property-monitorResize' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.ux.layout.RowLayout'>Ext.ux.layout.RowLayout</span><br/><a href='source/ux-all-debug.html#Ext-ux-layout-RowLayout-property-monitorResize' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.ux.layout.RowLayout-property-monitorResize' class='name expandable'>monitorResize</a> : Boolean<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>private ...</div><div class='long'><p>private</p>\n<p>Defaults to: <code>true</code></p><p>Overrides: <a href=\"#!/api/Ext.layout.ContainerLayout-property-monitorResize\" rel=\"Ext.layout.ContainerLayout-property-monitorResize\" class=\"docClass\">Ext.layout.ContainerLayout.monitorResize</a></p></div></div></div><div id='property-type' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.ux.layout.RowLayout'>Ext.ux.layout.RowLayout</span><br/><a href='source/ux-all-debug.html#Ext-ux-layout-RowLayout-property-type' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.ux.layout.RowLayout-property-type' class='name expandable'>type</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>&#39;row&#39;</code></p><p>Overrides: <a href=\"#!/api/Ext.layout.ContainerLayout-property-type\" rel=\"Ext.layout.ContainerLayout-property-type\" class=\"docClass\">Ext.layout.ContainerLayout.type</a></p></div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-constructor' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.layout.ContainerLayout' rel='Ext.layout.ContainerLayout' class='defined-in docClass'>Ext.layout.ContainerLayout</a><br/><a href='source/ext-all-debug.html#Ext-layout-ContainerLayout-method-constructor' target='_blank' class='view-source'>view source</a></div><strong class='new-keyword'>new</strong><a href='#!/api/Ext.layout.ContainerLayout-method-constructor' class='name expandable'>Ext.ux.layout.RowLayout</a>( <span class='pre'>config</span> ) : <a href=\"#!/api/Ext.layout.ContainerLayout\" rel=\"Ext.layout.ContainerLayout\" class=\"docClass\">Ext.layout.ContainerLayout</a><span class=\"signature\"></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : Object<div class='sub-desc'></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.layout.ContainerLayout\" rel=\"Ext.layout.ContainerLayout\" class=\"docClass\">Ext.layout.ContainerLayout</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-IEMeasureHack' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.layout.ContainerLayout' rel='Ext.layout.ContainerLayout' class='defined-in docClass'>Ext.layout.ContainerLayout</a><br/><a href='source/ext-all-debug.html#Ext-layout-ContainerLayout-method-IEMeasureHack' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.layout.ContainerLayout-method-IEMeasureHack' class='name expandable'>IEMeasureHack</a>( <span class='pre'>target, viewFlag</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Workaround for how IE measures autoWidth elements. ...</div><div class='long'><p>Workaround for how IE measures autoWidth elements.  It prefers bottom-up measurements\n     whereas other browser prefer top-down.  We will hide all target child elements before we measure and\n     put them back to get an accurate measurement.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>target</span> : Object<div class='sub-desc'></div></li><li><span class='pre'>viewFlag</span> : Object<div class='sub-desc'></div></li></ul></div></div></div><div id='method-afterRemove' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.layout.ContainerLayout' rel='Ext.layout.ContainerLayout' class='defined-in docClass'>Ext.layout.ContainerLayout</a><br/><a href='source/ext-all-debug.html#Ext-layout-ContainerLayout-method-afterRemove' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.layout.ContainerLayout-method-afterRemove' class='name expandable'>afterRemove</a>( <span class='pre'>c</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>c</span> : Object<div class='sub-desc'></div></li></ul></div></div></div><div id='method-configureItem' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.layout.ContainerLayout' rel='Ext.layout.ContainerLayout' class='defined-in docClass'>Ext.layout.ContainerLayout</a><br/><a href='source/ext-all-debug.html#Ext-layout-ContainerLayout-method-configureItem' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.layout.ContainerLayout-method-configureItem' class='name expandable'>configureItem</a>( <span class='pre'>c</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Applies extraCls and hides the item if renderHidden is true ...</div><div class='long'><p>Applies extraCls and hides the item if renderHidden is true</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>c</span> : Object<div class='sub-desc'></div></li></ul></div></div></div><div id='method-destroy' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.layout.ContainerLayout' rel='Ext.layout.ContainerLayout' class='defined-in docClass'>Ext.layout.ContainerLayout</a><br/><a href='source/ext-all-debug.html#Ext-layout-ContainerLayout-method-destroy' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.layout.ContainerLayout-method-destroy' class='name expandable'>destroy</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span><span class='protected' >protected</span></span></div><div class='description'><div class='short'>Destroys this layout. ...</div><div class='long'><p>Destroys this layout. This is a template method that is empty by default, but should be implemented\nby subclasses that require explicit destruction to purge event handlers or remove DOM nodes.</p>\n</div></div></div><div id='method-getLayoutTargetSize' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.ux.layout.RowLayout'>Ext.ux.layout.RowLayout</span><br/><a href='source/ux-all-debug.html#Ext-ux-layout-RowLayout-method-getLayoutTargetSize' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.ux.layout.RowLayout-method-getLayoutTargetSize' class='name expandable'>getLayoutTargetSize</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n</div></div></div><div id='method-getRenderedItems' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.layout.ContainerLayout' rel='Ext.layout.ContainerLayout' class='defined-in docClass'>Ext.layout.ContainerLayout</a><br/><a href='source/ext-all-debug.html#Ext-layout-ContainerLayout-method-getRenderedItems' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.layout.ContainerLayout-method-getRenderedItems' class='name expandable'>getRenderedItems</a>( <span class='pre'>ct</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>private. ...</div><div class='long'><p>private.\nGet all rendered items to lay out.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>ct</span> : Object<div class='sub-desc'></div></li></ul></div></div></div><div id='method-isValidParent' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.ux.layout.RowLayout'>Ext.ux.layout.RowLayout</span><br/><a href='source/ux-all-debug.html#Ext-ux-layout-RowLayout-method-isValidParent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.ux.layout.RowLayout-method-isValidParent' class='name expandable'>isValidParent</a>( <span class='pre'>c, target</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>private ...</div><div class='long'><p>private</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>c</span> : Object<div class='sub-desc'></div></li><li><span class='pre'>target</span> : Object<div class='sub-desc'></div></li></ul><p>Overrides: <a href=\"#!/api/Ext.layout.ContainerLayout-method-isValidParent\" rel=\"Ext.layout.ContainerLayout-method-isValidParent\" class=\"docClass\">Ext.layout.ContainerLayout.isValidParent</a></p></div></div></div><div id='method-layout' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.layout.ContainerLayout' rel='Ext.layout.ContainerLayout' class='defined-in docClass'>Ext.layout.ContainerLayout</a><br/><a href='source/ext-all-debug.html#Ext-layout-ContainerLayout-method-layout' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.layout.ContainerLayout-method-layout' class='name expandable'>layout</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>private ...</div><div class='long'><p>private</p>\n</div></div></div><div id='method-onLayout' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.ux.layout.RowLayout'>Ext.ux.layout.RowLayout</span><br/><a href='source/ux-all-debug.html#Ext-ux-layout-RowLayout-method-onLayout' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.ux.layout.RowLayout-method-onLayout' class='name expandable'>onLayout</a>( <span class='pre'>ct, target</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>private ...</div><div class='long'><p>private</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>ct</span> : Object<div class='sub-desc'></div></li><li><span class='pre'>target</span> : Object<div class='sub-desc'></div></li></ul><p>Overrides: <a href=\"#!/api/Ext.layout.ContainerLayout-method-onLayout\" rel=\"Ext.layout.ContainerLayout-method-onLayout\" class=\"docClass\">Ext.layout.ContainerLayout.onLayout</a></p></div></div></div><div id='method-onRemove' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.layout.ContainerLayout' rel='Ext.layout.ContainerLayout' class='defined-in docClass'>Ext.layout.ContainerLayout</a><br/><a href='source/ext-all-debug.html#Ext-layout-ContainerLayout-method-onRemove' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.layout.ContainerLayout-method-onRemove' class='name expandable'>onRemove</a>( <span class='pre'>c</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>c</span> : Object<div class='sub-desc'></div></li></ul></div></div></div><div id='method-onResize' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.layout.ContainerLayout' rel='Ext.layout.ContainerLayout' class='defined-in docClass'>Ext.layout.ContainerLayout</a><br/><a href='source/ext-all-debug.html#Ext-layout-ContainerLayout-method-onResize' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.layout.ContainerLayout-method-onResize' class='name expandable'>onResize</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>private ...</div><div class='long'><p>private</p>\n</div></div></div><div id='method-parseMargins' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.layout.ContainerLayout' rel='Ext.layout.ContainerLayout' class='defined-in docClass'>Ext.layout.ContainerLayout</a><br/><a href='source/ext-all-debug.html#Ext-layout-ContainerLayout-method-parseMargins' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.layout.ContainerLayout-method-parseMargins' class='name expandable'>parseMargins</a>( <span class='pre'>v</span> ) : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Parses a number or string representing margin sizes into an object. ...</div><div class='long'><p>Parses a number or string representing margin sizes into an object. Supports CSS-style margin declarations\n(e.g. 10, \"10\", \"10 10\", \"10 10 10\" and \"10 10 10 10\" are all valid options and would return the same result)</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>v</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>|<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The encoded margins</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Object</span><div class='sub-desc'><p>An object with margin sizes for top, right, bottom and left</p>\n</div></li></ul></div></div></div><div id='method-renderAll' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.ux.layout.RowLayout'>Ext.ux.layout.RowLayout</span><br/><a href='source/ux-all-debug.html#Ext-ux-layout-RowLayout-method-renderAll' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.ux.layout.RowLayout-method-renderAll' class='name expandable'>renderAll</a>( <span class='pre'>ct, target</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>private ...</div><div class='long'><p>private</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>ct</span> : Object<div class='sub-desc'></div></li><li><span class='pre'>target</span> : Object<div class='sub-desc'></div></li></ul><p>Overrides: <a href=\"#!/api/Ext.layout.ContainerLayout-method-renderAll\" rel=\"Ext.layout.ContainerLayout-method-renderAll\" class=\"docClass\">Ext.layout.ContainerLayout.renderAll</a></p></div></div></div><div id='method-renderItem' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.layout.ContainerLayout' rel='Ext.layout.ContainerLayout' class='defined-in docClass'>Ext.layout.ContainerLayout</a><br/><a href='source/ext-all-debug.html#Ext-layout-ContainerLayout-method-renderItem' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.layout.ContainerLayout-method-renderItem' class='name expandable'>renderItem</a>( <span class='pre'>c, position, target</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Renders the given Component into the target Element. ...</div><div class='long'><p>Renders the given Component into the target Element. If the Component is already rendered,\nit is moved to the provided target instead.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>c</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The Component to render</p>\n</div></li><li><span class='pre'>position</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The position within the target to render the item to</p>\n</div></li><li><span class='pre'>target</span> : <a href=\"#!/api/Ext.Element\" rel=\"Ext.Element\" class=\"docClass\">Ext.Element</a><div class='sub-desc'><p>The target Element</p>\n</div></li></ul></div></div></div><div id='method-runLayout' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.layout.ContainerLayout' rel='Ext.layout.ContainerLayout' class='defined-in docClass'>Ext.layout.ContainerLayout</a><br/><a href='source/ext-all-debug.html#Ext-layout-ContainerLayout-method-runLayout' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.layout.ContainerLayout-method-runLayout' class='name expandable'>runLayout</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n</div></div></div><div id='method-setContainer' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.layout.ContainerLayout' rel='Ext.layout.ContainerLayout' class='defined-in docClass'>Ext.layout.ContainerLayout</a><br/><a href='source/ext-all-debug.html#Ext-layout-ContainerLayout-method-setContainer' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.layout.ContainerLayout-method-setContainer' class='name expandable'>setContainer</a>( <span class='pre'>ct</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>private ...</div><div class='long'><p>private</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>ct</span> : Object<div class='sub-desc'></div></li></ul></div></div></div></div></div></div></div>","meta":{}});