Ext.data.JsonP.Zarafa_core_ColorSchemes({"tagname":"class","name":"Zarafa.core.ColorSchemes","autodetected":{"members":true},"files":[{"filename":"ColorSchemes.js","href":"ColorSchemes.html#Zarafa-core-ColorSchemes"}],"singleton":true,"members":[{"name":"colorSchemes","tagname":"property","owner":"Zarafa.core.ColorSchemes","id":"property-colorSchemes","meta":{"private":true}},{"name":"fields","tagname":"property","owner":"Zarafa.core.ColorSchemes","id":"property-fields","meta":{"private":true}},{"name":"addColorScheme","tagname":"method","owner":"Zarafa.core.ColorSchemes","id":"method-addColorScheme","meta":{}},{"name":"addColorSchemesFromConfig","tagname":"method","owner":"Zarafa.core.ColorSchemes","id":"method-addColorSchemesFromConfig","meta":{}},{"name":"addField","tagname":"method","owner":"Zarafa.core.ColorSchemes","id":"method-addField","meta":{}},{"name":"createColor","tagname":"method","owner":"Zarafa.core.ColorSchemes","id":"method-createColor","meta":{"private":true}},{"name":"createColorScheme","tagname":"method","owner":"Zarafa.core.ColorSchemes","id":"method-createColorScheme","meta":{}},{"name":"createDarkColor","tagname":"method","owner":"Zarafa.core.ColorSchemes","id":"method-createDarkColor","meta":{"private":true}},{"name":"createLightColor","tagname":"method","owner":"Zarafa.core.ColorSchemes","id":"method-createLightColor","meta":{"private":true}},{"name":"getColorScheme","tagname":"method","owner":"Zarafa.core.ColorSchemes","id":"method-getColorScheme","meta":{}},{"name":"getColorSchemes","tagname":"method","owner":"Zarafa.core.ColorSchemes","id":"method-getColorSchemes","meta":{}},{"name":"getLuma","tagname":"method","owner":"Zarafa.core.ColorSchemes","id":"method-getLuma","meta":{}},{"name":"hexToRgb","tagname":"method","owner":"Zarafa.core.ColorSchemes","id":"method-hexToRgb","meta":{"private":true}},{"name":"rgbToHex","tagname":"method","owner":"Zarafa.core.ColorSchemes","id":"method-rgbToHex","meta":{}},{"name":"rgbToHsl","tagname":"method","owner":"Zarafa.core.ColorSchemes","id":"method-rgbToHsl","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-Zarafa.core.ColorSchemes","short_doc":"An object that can be used to handle color schemes. ...","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Files</h4><div class='dependency'><a href='source/ColorSchemes.html#Zarafa-core-ColorSchemes' target='_blank'>ColorSchemes.js</a></div></pre><div class='doc-contents'><p>An object that can be used to handle color schemes.\nColor schemes are used by <a href=\"#!/api/Zarafa.core.Context\" rel=\"Zarafa.core.Context\" class=\"docClass\">contexts</a>\nthat can display different folders in one view. Currently only\nthe <a href=\"#!/api/Zarafa.calendar.CalendarContext\" rel=\"Zarafa.calendar.CalendarContext\" class=\"docClass\">calendar context</a>\nis such a context.</p>\n\n<p>It has methods to create color schemes based on a single color\nand to add complete color schemes.</p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-property'>Properties</h3><div class='subsection'><div id='property-colorSchemes' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.ColorSchemes'>Zarafa.core.ColorSchemes</span><br/><a href='source/ColorSchemes.html#Zarafa-core-ColorSchemes-property-colorSchemes' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.ColorSchemes-property-colorSchemes' class='name expandable'>colorSchemes</a> : Object[]<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>The list of color schemes. ...</div><div class='long'><p>The list of color schemes. Contexts can add color schemes\nusing the function <a href=\"#!/api/Zarafa.core.ColorSchemes-method-createColorScheme\" rel=\"Zarafa.core.ColorSchemes-method-createColorScheme\" class=\"docClass\">createColorScheme</a> or <a href=\"#!/api/Zarafa.core.ColorSchemes-method-addColorScheme\" rel=\"Zarafa.core.ColorSchemes-method-addColorScheme\" class=\"docClass\">addColorScheme</a>.</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-fields' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.ColorSchemes'>Zarafa.core.ColorSchemes</span><br/><a href='source/ColorSchemes.html#Zarafa-core-ColorSchemes-property-fields' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.ColorSchemes-property-fields' class='name expandable'>fields</a> : Object[]<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>An array with the fields that represent a color available in\na color scheme. ...</div><div class='long'><p>An array with the fields that represent a color available in\na color scheme. The fields have a name that can be used a key\nin a color scheme, and a weight (percentage) that will be used\nto create these color based on the base color of a color scheme.\nFields can be added using the function <a href=\"#!/api/Zarafa.core.ColorSchemes-method-addField\" rel=\"Zarafa.core.ColorSchemes-method-addField\" class=\"docClass\">addField</a>. When\na field is added, all existing color schemes will also get the\nnew field.</p>\n<p>Defaults to: <code>[{name: &#39;base&#39;, weight: 1}]</code></p></div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-addColorScheme' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.ColorSchemes'>Zarafa.core.ColorSchemes</span><br/><a href='source/ColorSchemes.html#Zarafa-core-ColorSchemes-method-addColorScheme' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.ColorSchemes-method-addColorScheme' class='name expandable'>addColorScheme</a>( <span class='pre'>colorScheme</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Adds a complete color scheme to the color scheme list ...</div><div class='long'><p>Adds a complete color scheme to the color scheme list</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>colorScheme</span> : Object<div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-addColorSchemesFromConfig' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.ColorSchemes'>Zarafa.core.ColorSchemes</span><br/><a href='source/ColorSchemes.html#Zarafa-core-ColorSchemes-method-addColorSchemesFromConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.ColorSchemes-method-addColorSchemesFromConfig' class='name expandable'>addColorSchemesFromConfig</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Adds the color schemes and additional color schemes that are defined\nin the config.php/default.php ...</div><div class='long'><p>Adds the color schemes and additional color schemes that are defined\nin the config.php/default.php</p>\n</div></div></div><div id='method-addField' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.ColorSchemes'>Zarafa.core.ColorSchemes</span><br/><a href='source/ColorSchemes.html#Zarafa-core-ColorSchemes-method-addField' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.ColorSchemes-method-addField' class='name expandable'>addField</a>( <span class='pre'>field</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Adds a field to the colorScheme fields ...</div><div class='long'><p>Adds a field to the <a href=\"#!/api/Zarafa.core.ColorSchemes-property-fields\" rel=\"Zarafa.core.ColorSchemes-property-fields\" class=\"docClass\">colorScheme fields</a></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>field</span> : Object|<a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><div class='sub-desc'><p>An object with properties name (mandatory) and\nweight (the weight of the color as ratio of the base color of the color\nscheme) or color (an RGB hex value that will be used as color for this field\n(e.g. '#0067AC')), or an array with field objects.</p>\n</div></li></ul></div></div></div><div id='method-createColor' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.ColorSchemes'>Zarafa.core.ColorSchemes</span><br/><a href='source/ColorSchemes.html#Zarafa-core-ColorSchemes-method-createColor' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.ColorSchemes-method-createColor' class='name expandable'>createColor</a>( <span class='pre'>baseColor, colorWeight</span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Creates a color for a color scheme based on the baseColor of\nthat scheme and a weight factor. ...</div><div class='long'><p>Creates a color for a color scheme based on the baseColor of\nthat scheme and a weight factor.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>baseColor</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>A hexadecimal RGB color value</p>\n</div></li><li><span class='pre'>colorWeight</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>A value that defines the new color\nas related to the baseColor. Between 0 and 1 for a color that is darker\nthan the baseColor. Larger then 1 for a color that is lighter\nthan the baseColor.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'><p>A hexadecimal RGB color value</p>\n</div></li></ul></div></div></div><div id='method-createColorScheme' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.ColorSchemes'>Zarafa.core.ColorSchemes</span><br/><a href='source/ColorSchemes.html#Zarafa-core-ColorSchemes-method-createColorScheme' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.ColorSchemes-method-createColorScheme' class='name expandable'>createColorScheme</a>( <span class='pre'>name, displayName, baseColor</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Creates a color scheme based on a single base color ...</div><div class='long'><p>Creates a color scheme based on a single base color</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The unique name for this color scheme\n(can be used to identify the color scheme)</p>\n</div></li><li><span class='pre'>displayName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The name of the color scheme that\nwill be used if a name for the color scheme must be shown\nto the user.</p>\n</div></li><li><span class='pre'>baseColor</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>an RGB hexadecimal color value\n(e.g. '#0067AC for Kopano Blue)</p>\n</div></li></ul></div></div></div><div id='method-createDarkColor' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.ColorSchemes'>Zarafa.core.ColorSchemes</span><br/><a href='source/ColorSchemes.html#Zarafa-core-ColorSchemes-method-createDarkColor' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.ColorSchemes-method-createDarkColor' class='name expandable'>createDarkColor</a>( <span class='pre'>baseColor, colorWeight</span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Creates a color for a color scheme based on the baseColor of\nthat scheme and a weight factor. ...</div><div class='long'><p>Creates a color for a color scheme based on the baseColor of\nthat scheme and a weight factor.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>baseColor</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>A hexadecimal RGB color value</p>\n</div></li><li><span class='pre'>colorWeight</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>A value that defines the new color\nas related to the baseColor. Should be between 0 and 1.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'><p>A hexadecimal RGB color value</p>\n</div></li></ul></div></div></div><div id='method-createLightColor' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.ColorSchemes'>Zarafa.core.ColorSchemes</span><br/><a href='source/ColorSchemes.html#Zarafa-core-ColorSchemes-method-createLightColor' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.ColorSchemes-method-createLightColor' class='name expandable'>createLightColor</a>( <span class='pre'>baseColor, colorWeight</span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Creates a color for a color scheme based on the baseColor of\nthat scheme and a weight factor. ...</div><div class='long'><p>Creates a color for a color scheme based on the baseColor of\nthat scheme and a weight factor.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>baseColor</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>A hexadecimal RGB color value</p>\n</div></li><li><span class='pre'>colorWeight</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>A value that defines the new color\nas related to the baseColor. Should be larger than 1.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'><p>A hexadecimal RGB color value</p>\n</div></li></ul></div></div></div><div id='method-getColorScheme' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.ColorSchemes'>Zarafa.core.ColorSchemes</span><br/><a href='source/ColorSchemes.html#Zarafa-core-ColorSchemes-method-getColorScheme' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.ColorSchemes-method-getColorScheme' class='name expandable'>getColorScheme</a>( <span class='pre'>colorSchemeName</span> ) : Object|undefined<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the color scheme with the passed name if found,\nor undefined otherwise ...</div><div class='long'><p>Returns the color scheme with the passed name if found,\nor undefined otherwise</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>colorSchemeName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The name of the color scheme</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Object|undefined</span><div class='sub-desc'><p>A color scheme or undefined if not found</p>\n</div></li></ul></div></div></div><div id='method-getColorSchemes' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.ColorSchemes'>Zarafa.core.ColorSchemes</span><br/><a href='source/ColorSchemes.html#Zarafa-core-ColorSchemes-method-getColorSchemes' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.ColorSchemes-method-getColorSchemes' class='name expandable'>getColorSchemes</a>( <span class='pre'></span> ) : Object[]<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the array with all defined color schemes ...</div><div class='long'><p>Returns the array with all defined color schemes</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>Object[]</span><div class='sub-desc'><p>An array with all defined color schemes</p>\n</div></li></ul></div></div></div><div id='method-getLuma' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.ColorSchemes'>Zarafa.core.ColorSchemes</span><br/><a href='source/ColorSchemes.html#Zarafa-core-ColorSchemes-method-getLuma' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.ColorSchemes-method-getLuma' class='name expandable'>getLuma</a>( <span class='pre'>r, g, b</span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the luma value (brightness perception)\nSee http://stackoverflow.com/a/12043228 ...</div><div class='long'><p>Returns the luma value (brightness perception)\nSee http://stackoverflow.com/a/12043228</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>r</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The red color value</p>\n</div></li><li><span class='pre'>g</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The green color value</p>\n</div></li><li><span class='pre'>b</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The blue color value</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span><div class='sub-desc'><p>luma value</p>\n</div></li></ul></div></div></div><div id='method-hexToRgb' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.ColorSchemes'>Zarafa.core.ColorSchemes</span><br/><a href='source/ColorSchemes.html#Zarafa-core-ColorSchemes-method-hexToRgb' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.ColorSchemes-method-hexToRgb' class='name expandable'>hexToRgb</a>( <span class='pre'>hexColor</span> ) : Object<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Converts a hexadecimal RGB color value into an object with\nred, green, and blue fields ...</div><div class='long'><p>Converts a hexadecimal RGB color value into an object with\nred, green, and blue fields</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>hexColor</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>A hexadecimal RGB color value\n(e.g. '#0067AC for Kopano Blue)</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Object</span><div class='sub-desc'><p>An object with decimal red, green, and blue values</p>\n</div></li></ul></div></div></div><div id='method-rgbToHex' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.ColorSchemes'>Zarafa.core.ColorSchemes</span><br/><a href='source/ColorSchemes.html#Zarafa-core-ColorSchemes-method-rgbToHex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.ColorSchemes-method-rgbToHex' class='name expandable'>rgbToHex</a>( <span class='pre'>rgbObj</span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Converts an RGB object into a hexadecimal RGB color value ...</div><div class='long'><p>Converts an RGB object into a hexadecimal RGB color value</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>rgbObj</span> : Object<div class='sub-desc'><p>An decimal RGB color object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'><p>A hexadecimal RGB color value</p>\n</div></li></ul></div></div></div><div id='method-rgbToHsl' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.ColorSchemes'>Zarafa.core.ColorSchemes</span><br/><a href='source/ColorSchemes.html#Zarafa-core-ColorSchemes-method-rgbToHsl' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.ColorSchemes-method-rgbToHsl' class='name expandable'>rgbToHsl</a>( <span class='pre'>r, g, b</span> ) : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Converts an RGB color value to HSL. ...</div><div class='long'><p>Converts an RGB color value to HSL. Conversion formula\nadapted from http://en.wikipedia.org/wiki/HSL_color_space.\nAssumes r, g, and b are contained in the set [0, 255] and\nreturns h, s, and l in the set [0, 1].</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>r</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The red color value</p>\n</div></li><li><span class='pre'>g</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The green color value</p>\n</div></li><li><span class='pre'>b</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The blue color value</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a></span><div class='sub-desc'><p>The HSL representation</p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{}});