Ext.data.JsonP.Zarafa_core_EntryId({"tagname":"class","name":"Zarafa.core.EntryId","autodetected":{},"files":[{"filename":"EntryId.js","href":"EntryId.html#Zarafa-core-EntryId"}],"singleton":true,"members":[{"name":"compareABEntryIds","tagname":"method","owner":"Zarafa.core.EntryId","id":"method-compareABEntryIds","meta":{}},{"name":"compareEntryIds","tagname":"method","owner":"Zarafa.core.EntryId","id":"method-compareEntryIds","meta":{}},{"name":"compareStoreEntryIds","tagname":"method","owner":"Zarafa.core.EntryId","id":"method-compareStoreEntryIds","meta":{}},{"name":"createABEntryIdObj","tagname":"method","owner":"Zarafa.core.EntryId","id":"method-createABEntryIdObj","meta":{}},{"name":"createEntryIdObj","tagname":"method","owner":"Zarafa.core.EntryId","id":"method-createEntryIdObj","meta":{}},{"name":"createOneOffEntryId","tagname":"method","owner":"Zarafa.core.EntryId","id":"method-createOneOffEntryId","meta":{}},{"name":"createStoreEntryIdObj","tagname":"method","owner":"Zarafa.core.EntryId","id":"method-createStoreEntryIdObj","meta":{}},{"name":"hasAddressBookGUID","tagname":"method","owner":"Zarafa.core.EntryId","id":"method-hasAddressBookGUID","meta":{}},{"name":"hasContactProviderGUID","tagname":"method","owner":"Zarafa.core.EntryId","id":"method-hasContactProviderGUID","meta":{}},{"name":"isFavoriteFolder","tagname":"method","owner":"Zarafa.core.EntryId","id":"method-isFavoriteFolder","meta":{}},{"name":"isFavoriteRootFolder","tagname":"method","owner":"Zarafa.core.EntryId","id":"method-isFavoriteRootFolder","meta":{}},{"name":"isGlobalAddressbookContainer","tagname":"method","owner":"Zarafa.core.EntryId","id":"method-isGlobalAddressbookContainer","meta":{}},{"name":"isOneOffEntryId","tagname":"method","owner":"Zarafa.core.EntryId","id":"method-isOneOffEntryId","meta":{}},{"name":"isPublicRootFolder","tagname":"method","owner":"Zarafa.core.EntryId","id":"method-isPublicRootFolder","meta":{}},{"name":"isPublicSubtreeFolder","tagname":"method","owner":"Zarafa.core.EntryId","id":"method-isPublicSubtreeFolder","meta":{}},{"name":"unwrapContactProviderEntryId","tagname":"method","owner":"Zarafa.core.EntryId","id":"method-unwrapContactProviderEntryId","meta":{}},{"name":"wrapContactProviderEntryId","tagname":"method","owner":"Zarafa.core.EntryId","id":"method-wrapContactProviderEntryId","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-Zarafa.core.EntryId","short_doc":"Class for decoding entryids and for comparison between two entryids\nwe have basically two types of entryids object an...","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Files</h4><div class='dependency'><a href='source/EntryId.html#Zarafa-core-EntryId' target='_blank'>EntryId.js</a></div></pre><div class='doc-contents'><p>Class for decoding entryids and for comparison between two entryids\nwe have basically two types of entryids object and store entryids.</p>\n\n<p>object entryids uses structure EID for entryids created using Kopano Core > 6\nand for older entryids it uses structure EID_V0. Store entryids are generally wrapped\nwith some extra information (like guid for provider, dll name) which should be removed\nbefore comparing two store entryids, after removing this wrapping the unwrapped entryid\nuses the format same as object entryids (EID or EID_V0).</p>\n\n<p>version flag in EID and EID_V0 are Kopano specific flag and indicates which structure is used\nto create that entryid, EID always contains version as '01000000' and EID_V0 always contains\n'00000000' as version flag.</p>\n\n<p>server part of EID and EID_V0 indicates server name and it can be variable length, padding can be\nupto 3 bytes so it can be anything between 0 to 3 bytes.</p>\n\n<p>in public store public root folder, ipm_subtree and favorites folder are custom folders of Kopano\nso it has static uniqueids.</p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-compareABEntryIds' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.EntryId'>Zarafa.core.EntryId</span><br/><a href='source/EntryId.html#Zarafa-core-EntryId-method-compareABEntryIds' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.EntryId-method-compareABEntryIds' class='name expandable'>compareABEntryIds</a>( <span class='pre'>entryId1, entryId2</span> ) : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Compares two AB entryIds. ...</div><div class='long'><p>Compares two AB entryIds. It is possible to have two different entryIds that should match as they\nrepresent the same object (in multiserver environments).</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>entryId1</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>EntryID</p>\n</div></li><li><span class='pre'>entryId2</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>EntryID</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Boolean</span><div class='sub-desc'><p>Result of the comparison</p>\n</div></li></ul></div></div></div><div id='method-compareEntryIds' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.EntryId'>Zarafa.core.EntryId</span><br/><a href='source/EntryId.html#Zarafa-core-EntryId-method-compareEntryIds' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.EntryId-method-compareEntryIds' class='name expandable'>compareEntryIds</a>( <span class='pre'>entryId1, entryId2</span> ) : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Compares two entryIds. ...</div><div class='long'><p>Compares two entryIds. It is possible to have two different entryIds that should match as they\nrepresent the same object (in multiserver environments).</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>entryId1</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>EntryID</p>\n</div></li><li><span class='pre'>entryId2</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>EntryID</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Boolean</span><div class='sub-desc'><p>Result of the comparison</p>\n</div></li></ul></div></div></div><div id='method-compareStoreEntryIds' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.EntryId'>Zarafa.core.EntryId</span><br/><a href='source/EntryId.html#Zarafa-core-EntryId-method-compareStoreEntryIds' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.EntryId-method-compareStoreEntryIds' class='name expandable'>compareStoreEntryIds</a>( <span class='pre'>storeEntryId1, storeEntryId2</span> ) : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Compares two entryIds. ...</div><div class='long'><p>Compares two entryIds. It is possible to have two different entryIds that should match as they\nrepresent the same object (in multiserver environments).</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>storeEntryId1</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>store entryid</p>\n</div></li><li><span class='pre'>storeEntryId2</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>store entryid</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Boolean</span><div class='sub-desc'><p>Result of the comparison</p>\n</div></li></ul></div></div></div><div id='method-createABEntryIdObj' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.EntryId'>Zarafa.core.EntryId</span><br/><a href='source/EntryId.html#Zarafa-core-EntryId-method-createABEntryIdObj' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.EntryId-method-createABEntryIdObj' class='name expandable'>createABEntryIdObj</a>( <span class='pre'>entryid</span> ) : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Creates an object that has split up all the components of an AB entryID. ...</div><div class='long'><p>Creates an object that has split up all the components of an AB entryID.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>entryid</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>Entryid</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Object</span><div class='sub-desc'><p>EntryID object</p>\n</div></li></ul></div></div></div><div id='method-createEntryIdObj' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.EntryId'>Zarafa.core.EntryId</span><br/><a href='source/EntryId.html#Zarafa-core-EntryId-method-createEntryIdObj' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.EntryId-method-createEntryIdObj' class='name expandable'>createEntryIdObj</a>( <span class='pre'>entryid</span> ) : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Creates an object that has split up all the components of an entryID. ...</div><div class='long'><p>Creates an object that has split up all the components of an entryID.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>entryid</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>Entryid</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Object</span><div class='sub-desc'><p>EntryID object</p>\n</div></li></ul></div></div></div><div id='method-createOneOffEntryId' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.EntryId'>Zarafa.core.EntryId</span><br/><a href='source/EntryId.html#Zarafa-core-EntryId-method-createOneOffEntryId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.EntryId-method-createOneOffEntryId' class='name expandable'>createOneOffEntryId</a>( <span class='pre'>displayname, addrtype, emailaddress</span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Create a one-off entryid from the applied parameters. ...</div><div class='long'><p>Create a one-off entryid from the applied parameters.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>displayname</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>displaye name as configured in record.</p>\n</div></li><li><span class='pre'>addrtype</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>weather the record is of type SMTP.</p>\n</div></li><li><span class='pre'>emailaddress</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>email address as configured in record.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'><p>The oneoff entryId</p>\n</div></li></ul></div></div></div><div id='method-createStoreEntryIdObj' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.EntryId'>Zarafa.core.EntryId</span><br/><a href='source/EntryId.html#Zarafa-core-EntryId-method-createStoreEntryIdObj' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.EntryId-method-createStoreEntryIdObj' class='name expandable'>createStoreEntryIdObj</a>( <span class='pre'>storeEntryId</span> ) : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Creates an object that has split up all the components of a store entryid. ...</div><div class='long'><p>Creates an object that has split up all the components of a store entryid.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>storeEntryId</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>unwrapped store entryid.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Object</span><div class='sub-desc'><p>store entryid object.</p>\n</div></li></ul></div></div></div><div id='method-hasAddressBookGUID' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.EntryId'>Zarafa.core.EntryId</span><br/><a href='source/EntryId.html#Zarafa-core-EntryId-method-hasAddressBookGUID' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.EntryId-method-hasAddressBookGUID' class='name expandable'>hasAddressBookGUID</a>( <span class='pre'>entryId</span> ) : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Checks if the GUID part of the entryid is of the Global Addressbook. ...</div><div class='long'><p>Checks if the GUID part of the entryid is of the Global Addressbook.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>entryId</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>Address Book entryid</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Boolean</span><div class='sub-desc'><p>true if guid matches the Global Addressbook else false</p>\n</div></li></ul></div></div></div><div id='method-hasContactProviderGUID' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.EntryId'>Zarafa.core.EntryId</span><br/><a href='source/EntryId.html#Zarafa-core-EntryId-method-hasContactProviderGUID' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.EntryId-method-hasContactProviderGUID' class='name expandable'>hasContactProviderGUID</a>( <span class='pre'>entryId</span> ) : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Checks if the GUID part of the entryid is of the Contact Provider. ...</div><div class='long'><p>Checks if the GUID part of the entryid is of the Contact Provider.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>entryId</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>Address Book entryid</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Boolean</span><div class='sub-desc'><p>true if guid matches the Contact Provider else false</p>\n</div></li></ul></div></div></div><div id='method-isFavoriteFolder' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.EntryId'>Zarafa.core.EntryId</span><br/><a href='source/EntryId.html#Zarafa-core-EntryId-method-isFavoriteFolder' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.EntryId-method-isFavoriteFolder' class='name expandable'>isFavoriteFolder</a>( <span class='pre'>entryId</span> ) : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Checks if the passed folder entryid is a folder in the favorites folder, favorites folder\ncontains 0x01 in the abFlag...</div><div class='long'><p>Checks if the passed folder entryid is a folder in the favorites folder, favorites folder\ncontains 0x01 in the abFlags[3] flag.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>entryId</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>folder entryid</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Boolean</span><div class='sub-desc'><p>true of folder is a favorite folder else false</p>\n</div></li></ul></div></div></div><div id='method-isFavoriteRootFolder' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.EntryId'>Zarafa.core.EntryId</span><br/><a href='source/EntryId.html#Zarafa-core-EntryId-method-isFavoriteRootFolder' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.EntryId-method-isFavoriteRootFolder' class='name expandable'>isFavoriteRootFolder</a>( <span class='pre'>entryId</span> ) : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Checks if the passed folder entryid is root favorites folder. ...</div><div class='long'><p>Checks if the passed folder entryid is root favorites folder.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>entryId</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>folder entryid</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Boolean</span><div class='sub-desc'><p>true of folder is a root favorite folder else false</p>\n</div></li></ul></div></div></div><div id='method-isGlobalAddressbookContainer' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.EntryId'>Zarafa.core.EntryId</span><br/><a href='source/EntryId.html#Zarafa-core-EntryId-method-isGlobalAddressbookContainer' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.EntryId-method-isGlobalAddressbookContainer' class='name expandable'>isGlobalAddressbookContainer</a>( <span class='pre'>entryId</span> ) : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Checks if the GUID part of the entryid is of the Global Addressbook Container. ...</div><div class='long'><p>Checks if the GUID part of the entryid is of the Global Addressbook Container.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>entryId</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>Address Book entryid</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Boolean</span><div class='sub-desc'><p>true if guid matches the Global Addressbook Container else false</p>\n</div></li></ul></div></div></div><div id='method-isOneOffEntryId' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.EntryId'>Zarafa.core.EntryId</span><br/><a href='source/EntryId.html#Zarafa-core-EntryId-method-isOneOffEntryId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.EntryId-method-isOneOffEntryId' class='name expandable'>isOneOffEntryId</a>( <span class='pre'>entryId</span> ) : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Checks if the given entryid is a oneoff entryid. ...</div><div class='long'><p>Checks if the given entryid is a oneoff entryid.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>entryId</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The entryid</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Boolean</span><div class='sub-desc'><p>true if the entryid is a oneoff</p>\n</div></li></ul></div></div></div><div id='method-isPublicRootFolder' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.EntryId'>Zarafa.core.EntryId</span><br/><a href='source/EntryId.html#Zarafa-core-EntryId-method-isPublicRootFolder' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.EntryId-method-isPublicRootFolder' class='name expandable'>isPublicRootFolder</a>( <span class='pre'>entryId</span> ) : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Checks if the passed folder entryid is root public folder. ...</div><div class='long'><p>Checks if the passed folder entryid is root public folder.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>entryId</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>folder entryid</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Boolean</span><div class='sub-desc'><p>true of folder is a root public folder else false</p>\n</div></li></ul></div></div></div><div id='method-isPublicSubtreeFolder' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.EntryId'>Zarafa.core.EntryId</span><br/><a href='source/EntryId.html#Zarafa-core-EntryId-method-isPublicSubtreeFolder' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.EntryId-method-isPublicSubtreeFolder' class='name expandable'>isPublicSubtreeFolder</a>( <span class='pre'>entryId</span> ) : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Checks if the passed folder entryid is public subtree folder. ...</div><div class='long'><p>Checks if the passed folder entryid is public subtree folder.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>entryId</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>folder entryid</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Boolean</span><div class='sub-desc'><p>true of folder is a root public folder else false</p>\n</div></li></ul></div></div></div><div id='method-unwrapContactProviderEntryId' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.EntryId'>Zarafa.core.EntryId</span><br/><a href='source/EntryId.html#Zarafa-core-EntryId-method-unwrapContactProviderEntryId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.EntryId-method-unwrapContactProviderEntryId' class='name expandable'>unwrapContactProviderEntryId</a>( <span class='pre'>entryId</span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Unwrap an Entryid which is of the Contact Provider (hasContactProviderGUID\nreturned true for this entryid}. ...</div><div class='long'><p>Unwrap an Entryid which is of the Contact Provider (<a href=\"#!/api/Zarafa.core.EntryId-method-hasContactProviderGUID\" rel=\"Zarafa.core.EntryId-method-hasContactProviderGUID\" class=\"docClass\">hasContactProviderGUID</a>\nreturned true for this entryid}.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>entryId</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>the Address Book entryid.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'><p>The unwrapped entryId</p>\n</div></li></ul></div></div></div><div id='method-wrapContactProviderEntryId' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.EntryId'>Zarafa.core.EntryId</span><br/><a href='source/EntryId.html#Zarafa-core-EntryId-method-wrapContactProviderEntryId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.EntryId-method-wrapContactProviderEntryId' class='name expandable'>wrapContactProviderEntryId</a>( <span class='pre'>entryId</span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Wrap an EntryId which should be wrapped using the Contact Provider ...</div><div class='long'><p>Wrap an EntryId which should be wrapped using the Contact Provider</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>entryId</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The entryid</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'><p>The wrapped entryId</p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{}});