Ext.data.JsonP.Zarafa_core_Events({"tagname":"class","name":"Zarafa.core.Events","autodetected":{"members":true},"files":[{"filename":"Events.js","href":"Events.html#Zarafa-core-Events"}],"singleton":true,"members":[{"name":"listeners","tagname":"property","owner":"Zarafa.core.Events","id":"property-listeners","meta":{"private":true}},{"name":"addPasteEventHandler","tagname":"method","owner":"Zarafa.core.Events","id":"method-addPasteEventHandler","meta":{}},{"name":"getListener","tagname":"method","owner":"Zarafa.core.Events","id":"method-getListener","meta":{"private":true}},{"name":"onPaste","tagname":"method","owner":"Zarafa.core.Events","id":"method-onPaste","meta":{"private":true}},{"name":"onPasteBlur","tagname":"method","owner":"Zarafa.core.Events","id":"method-onPasteBlur","meta":{"private":true}},{"name":"onPasteKeyUp","tagname":"method","owner":"Zarafa.core.Events","id":"method-onPasteKeyUp","meta":{"private":true}},{"name":"onPasteMouseOver","tagname":"method","owner":"Zarafa.core.Events","id":"method-onPasteMouseOver","meta":{"private":true}},{"name":"onPastePoll","tagname":"method","owner":"Zarafa.core.Events","id":"method-onPastePoll","meta":{"private":true}},{"name":"registerListener","tagname":"method","owner":"Zarafa.core.Events","id":"method-registerListener","meta":{"private":true}},{"name":"removePasteEventHandler","tagname":"method","owner":"Zarafa.core.Events","id":"method-removePasteEventHandler","meta":{}},{"name":"unregisterListener","tagname":"method","owner":"Zarafa.core.Events","id":"method-unregisterListener","meta":{"private":true}}],"alternateClassNames":[],"aliases":{},"id":"class-Zarafa.core.Events","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Files</h4><div class='dependency'><a href='source/Events.html#Zarafa-core-Events' target='_blank'>Events.js</a></div></pre><div class='doc-contents'><p>Utility class for handling special events.</p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-property'>Properties</h3><div class='subsection'><div id='property-listeners' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.Events'>Zarafa.core.Events</span><br/><a href='source/Events.html#Zarafa-core-Events-property-listeners' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.Events-property-listeners' class='name expandable'>listeners</a> : Object<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>The list of fields and the corresponding Ext.util.Observable\nobjects which are used to register the event handlers. ...</div><div class='long'><p>The list of fields and the corresponding <a href=\"#!/api/Ext.util.Observable\" rel=\"Ext.util.Observable\" class=\"docClass\">Ext.util.Observable</a>\nobjects which are used to register the event handlers. Use\n<a href=\"#!/api/Zarafa.core.Events-method-registerListener\" rel=\"Zarafa.core.Events-method-registerListener\" class=\"docClass\">registerListener</a> and <a href=\"#!/api/Zarafa.core.Events-method-unregisterListener\" rel=\"Zarafa.core.Events-method-unregisterListener\" class=\"docClass\">unregisterListener</a> to add/remove\n{@Link <a href=\"#!/api/Ext.util.Observable\" rel=\"Ext.util.Observable\" class=\"docClass\">Ext.util.Observable</a>} instances. Use <a href=\"#!/api/Zarafa.core.Events-method-getListener\" rel=\"Zarafa.core.Events-method-getListener\" class=\"docClass\">getListener</a>\nto obtain a <a href=\"#!/api/Ext.util.Observable\" rel=\"Ext.util.Observable\" class=\"docClass\">Ext.util.Observable</a> instance.</p>\n<p>Defaults to: <code>{}</code></p></div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-addPasteEventHandler' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.Events'>Zarafa.core.Events</span><br/><a href='source/Events.html#Zarafa-core-Events-method-addPasteEventHandler' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.Events-method-addPasteEventHandler' class='name expandable'>addPasteEventHandler</a>( <span class='pre'>field, el, fn, scope, [obj]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Add a special event handler to the given field to catch\n'paste' events. ...</div><div class='long'><p>Add a special event handler to the given field to catch\n'paste' events. There are multiple ways to paste text into\na textfield.\n1) contextmenu\n2) Ctrl-V (shortcut depending on OS)\n3) Drag &amp; Drop text</p>\n\n<p>Support for catching these options depends severely on the browser,\nand thus this special event handler will serve as compatibility\nhandler to handle the various cases correctly.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>field</span> : <a href=\"#!/api/Ext.form.Field\" rel=\"Ext.form.Field\" class=\"docClass\">Ext.form.Field</a><div class='sub-desc'><p>The field on which to listen for\npaste events.</p>\n</div></li><li><span class='pre'>el</span> : <a href=\"#!/api/Ext.Element\" rel=\"Ext.Element\" class=\"docClass\">Ext.Element</a><div class='sub-desc'><p>The element on which the event should be registered</p>\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a><div class='sub-desc'><p>The callback function to be called when text\nhas been pasted. This function has no arguments (See <a href=\"#!/api/Ext.util.Observable-method-on\" rel=\"Ext.util.Observable-method-on\" class=\"docClass\">Ext.util.Observable.on</a>).</p>\n</div></li><li><span class='pre'>scope</span> : Object<div class='sub-desc'><p>The scope in which the functon will be called (See <a href=\"#!/api/Ext.util.Observable-method-on\" rel=\"Ext.util.Observable-method-on\" class=\"docClass\">Ext.util.Observable.on</a>).</p>\n</div></li><li><span class='pre'>obj</span> : Object (optional)<div class='sub-desc'><p>Additional options (See <a href=\"#!/api/Ext.util.Observable-method-on\" rel=\"Ext.util.Observable-method-on\" class=\"docClass\">Ext.util.Observable.on</a>).</p>\n</div></li></ul></div></div></div><div id='method-getListener' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.Events'>Zarafa.core.Events</span><br/><a href='source/Events.html#Zarafa-core-Events-method-getListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.Events-method-getListener' class='name expandable'>getListener</a>( <span class='pre'>field, el</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Obtain a previously registered\nExt.util.Observable from the listeners. ...</div><div class='long'><p>Obtain a previously <a href=\"#!/api/Zarafa.core.Events-method-registerListener\" rel=\"Zarafa.core.Events-method-registerListener\" class=\"docClass\">registered</a>\n<a href=\"#!/api/Ext.util.Observable\" rel=\"Ext.util.Observable\" class=\"docClass\">Ext.util.Observable</a> from the <a href=\"#!/api/Zarafa.core.Events-property-listeners\" rel=\"Zarafa.core.Events-property-listeners\" class=\"docClass\">listeners</a>.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>field</span> : <a href=\"#!/api/Ext.form.Field\" rel=\"Ext.form.Field\" class=\"docClass\">Ext.form.Field</a><div class='sub-desc'><p>The register to which the observable belongs</p>\n</div></li><li><span class='pre'>el</span> : <a href=\"#!/api/Ext.Element\" rel=\"Ext.Element\" class=\"docClass\">Ext.Element</a><div class='sub-desc'><p>The element to which the observable belongs</p>\n</div></li></ul></div></div></div><div id='method-onPaste' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.Events'>Zarafa.core.Events</span><br/><a href='source/Events.html#Zarafa-core-Events-method-onPaste' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.Events-method-onPaste' class='name expandable'>onPaste</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Event handler for the 'paste' event on the input element. ...</div><div class='long'><p>Event handler for the 'paste' event on the input element.\nThis will start the <a href=\"#!/api/Zarafa.core.Events-method-onPastePoll\" rel=\"Zarafa.core.Events-method-onPastePoll\" class=\"docClass\">onPastePoll</a> function to wait for the contents\nto be pasted so it can fire the event handler.</p>\n\n<p>This function is called in the scope of an <a href=\"#!/api/Ext.util.Observable\" rel=\"Ext.util.Observable\" class=\"docClass\">Ext.util.Observable</a>.</p>\n</div></div></div><div id='method-onPasteBlur' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.Events'>Zarafa.core.Events</span><br/><a href='source/Events.html#Zarafa-core-Events-method-onPasteBlur' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.Events-method-onPasteBlur' class='name expandable'>onPasteBlur</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Event handler which is fired when the registered field is being\nblurred. ...</div><div class='long'><p>Event handler which is fired when the registered field is being\n<a href=\"#!/api/Ext.form.Field-event-blur\" rel=\"Ext.form.Field-event-blur\" class=\"docClass\">blurred</a>. This will store the value\ncurrently in the editor so during <a href=\"#!/api/Zarafa.core.Events-method-onPasteMouseOver\" rel=\"Zarafa.core.Events-method-onPasteMouseOver\" class=\"docClass\">onPasteMouseOver</a> we can\ncheck if text has been dropped into the editor.</p>\n</div></div></div><div id='method-onPasteKeyUp' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.Events'>Zarafa.core.Events</span><br/><a href='source/Events.html#Zarafa-core-Events-method-onPasteKeyUp' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.Events-method-onPasteKeyUp' class='name expandable'>onPasteKeyUp</a>( <span class='pre'>key, e</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>As Opera doesn't have the 'paste' browser event we are mimicking the behavior\nhere by having a global 'keyup' event h...</div><div class='long'><p>As Opera doesn't have the 'paste' browser event we are mimicking the behavior\nhere by having a global 'keyup' event handler. This event will simply check\nif 'Ctrl-V has been pressed and will fire the event handler.</p>\n\n<p>This function is called in the scope of an <a href=\"#!/api/Ext.util.Observable\" rel=\"Ext.util.Observable\" class=\"docClass\">Ext.util.Observable</a>.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>key</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The key which was pressed</p>\n</div></li><li><span class='pre'>e</span> : <a href=\"#!/api/Ext.EventObject\" rel=\"Ext.EventObject\" class=\"docClass\">Ext.EventObject</a><div class='sub-desc'><p>The event object which fired the event</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul><li>paste</li></ul></div></div></div><div id='method-onPasteMouseOver' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.Events'>Zarafa.core.Events</span><br/><a href='source/Events.html#Zarafa-core-Events-method-onPasteMouseOver' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.Events-method-onPasteMouseOver' class='name expandable'>onPasteMouseOver</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Event handler which is fired when the Mouse is being moved over the\ninput field. ...</div><div class='long'><p>Event handler which is fired when the Mouse is being moved over the\ninput field. This will check if the input field has been magically\nchanged without the user pressing any button. If that happens, then\nthe user has dragged text into the input element and we need to\nfire the event handler.</p>\n\n<p>This function is called in the scope of an <a href=\"#!/api/Ext.util.Observable\" rel=\"Ext.util.Observable\" class=\"docClass\">Ext.util.Observable</a>.</p>\n<h3 class='pa'>Fires</h3><ul><li>paste</li></ul></div></div></div><div id='method-onPastePoll' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.Events'>Zarafa.core.Events</span><br/><a href='source/Events.html#Zarafa-core-Events-method-onPastePoll' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.Events-method-onPastePoll' class='name expandable'>onPastePoll</a>( <span class='pre'>field, oldValue, limit</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>The 'paste' event on an input element is fired before the text which must\nbe pasted is added into the input field. ...</div><div class='long'><p>The 'paste' event on an input element is fired before the text which must\nbe pasted is added into the input field. There is no cross-browser solution\nto access the text before it is put into the input field, hence polling is used\nto wait for the input field to be updated with the new text, so it can fire\nthe event handler.</p>\n\n<p>This function is called in the scope of an <a href=\"#!/api/Ext.util.Observable\" rel=\"Ext.util.Observable\" class=\"docClass\">Ext.util.Observable</a>.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>field</span> : <a href=\"#!/api/Ext.form.Field\" rel=\"Ext.form.Field\" class=\"docClass\">Ext.form.Field</a><div class='sub-desc'><p>The field to poll for the new value</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The original value of the input element</p>\n</div></li><li><span class='pre'>limit</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The number of polling tries left</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul><li>paste</li></ul></div></div></div><div id='method-registerListener' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.Events'>Zarafa.core.Events</span><br/><a href='source/Events.html#Zarafa-core-Events-method-registerListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.Events-method-registerListener' class='name expandable'>registerListener</a>( <span class='pre'>field, el, observable</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Register a Ext.util.Observable instance for the given\nExt.form.Field/Ext.Element pair to the listeners\nobject. ...</div><div class='long'><p>Register a <a href=\"#!/api/Ext.util.Observable\" rel=\"Ext.util.Observable\" class=\"docClass\">Ext.util.Observable</a> instance for the given\n<a href=\"#!/api/Ext.form.Field\" rel=\"Ext.form.Field\" class=\"docClass\">Ext.form.Field</a>/<a href=\"#!/api/Ext.Element\" rel=\"Ext.Element\" class=\"docClass\">Ext.Element</a> pair to the <a href=\"#!/api/Zarafa.core.Events-property-listeners\" rel=\"Zarafa.core.Events-property-listeners\" class=\"docClass\">listeners</a>\nobject.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>field</span> : <a href=\"#!/api/Ext.form.Field\" rel=\"Ext.form.Field\" class=\"docClass\">Ext.form.Field</a><div class='sub-desc'><p>The register for which the observable is added</p>\n</div></li><li><span class='pre'>el</span> : <a href=\"#!/api/Ext.Element\" rel=\"Ext.Element\" class=\"docClass\">Ext.Element</a><div class='sub-desc'><p>The element for which the the observable is added</p>\n</div></li><li><span class='pre'>observable</span> : <a href=\"#!/api/Ext.util.Observable\" rel=\"Ext.util.Observable\" class=\"docClass\">Ext.util.Observable</a><div class='sub-desc'><p>The observable to register</p>\n</div></li></ul></div></div></div><div id='method-removePasteEventHandler' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.Events'>Zarafa.core.Events</span><br/><a href='source/Events.html#Zarafa-core-Events-method-removePasteEventHandler' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.Events-method-removePasteEventHandler' class='name expandable'>removePasteEventHandler</a>( <span class='pre'>field, el, fn, scope</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Removes the event handler as registered by addPasteEventHandler. ...</div><div class='long'><p>Removes the event handler as registered by <a href=\"#!/api/Zarafa.core.Events-method-addPasteEventHandler\" rel=\"Zarafa.core.Events-method-addPasteEventHandler\" class=\"docClass\">addPasteEventHandler</a>.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>field</span> : <a href=\"#!/api/Ext.form.Field\" rel=\"Ext.form.Field\" class=\"docClass\">Ext.form.Field</a><div class='sub-desc'><p>The field on which the event was registered</p>\n</div></li><li><span class='pre'>el</span> : <a href=\"#!/api/Ext.Element\" rel=\"Ext.Element\" class=\"docClass\">Ext.Element</a><div class='sub-desc'><p>The element on which the event should be registered</p>\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a><div class='sub-desc'><p>The function to unregister</p>\n</div></li><li><span class='pre'>scope</span> : Object<div class='sub-desc'><p>The scope for the function.</p>\n</div></li></ul></div></div></div><div id='method-unregisterListener' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.Events'>Zarafa.core.Events</span><br/><a href='source/Events.html#Zarafa-core-Events-method-unregisterListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.Events-method-unregisterListener' class='name expandable'>unregisterListener</a>( <span class='pre'>field, el</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Unregister a previously registered\nExt.util.Observable from the listeners. ...</div><div class='long'><p>Unregister a previously <a href=\"#!/api/Zarafa.core.Events-method-registerListener\" rel=\"Zarafa.core.Events-method-registerListener\" class=\"docClass\">registered</a>\n<a href=\"#!/api/Ext.util.Observable\" rel=\"Ext.util.Observable\" class=\"docClass\">Ext.util.Observable</a> from the <a href=\"#!/api/Zarafa.core.Events-property-listeners\" rel=\"Zarafa.core.Events-property-listeners\" class=\"docClass\">listeners</a>.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>field</span> : <a href=\"#!/api/Ext.form.Field\" rel=\"Ext.form.Field\" class=\"docClass\">Ext.form.Field</a><div class='sub-desc'><p>The register to which the observable belongs</p>\n</div></li><li><span class='pre'>el</span> : <a href=\"#!/api/Ext.Element\" rel=\"Ext.Element\" class=\"docClass\">Ext.Element</a><div class='sub-desc'><p>The element to which the observable belongs</p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{}});