Ext.data.JsonP.Zarafa_core_data_AbstractResponseHandler({"tagname":"class","name":"Zarafa.core.data.AbstractResponseHandler","autodetected":{"members":true},"files":[{"filename":"AbstractResponseHandler.js","href":"AbstractResponseHandler.html#Zarafa-core-data-AbstractResponseHandler"}],"extends":null,"members":[{"name":"constructor","tagname":"method","owner":"Zarafa.core.data.AbstractResponseHandler","id":"method-constructor","meta":{}},{"name":"done","tagname":"method","owner":"Zarafa.core.data.AbstractResponseHandler","id":"method-done","meta":{}},{"name":"handle","tagname":"method","owner":"Zarafa.core.data.AbstractResponseHandler","id":"method-handle","meta":{}},{"name":"responseFailure","tagname":"method","owner":"Zarafa.core.data.AbstractResponseHandler","id":"method-responseFailure","meta":{}},{"name":"start","tagname":"method","owner":"Zarafa.core.data.AbstractResponseHandler","id":"method-start","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-Zarafa.core.data.AbstractResponseHandler","short_doc":"The main interface used by the ResponseRouter\nfor handling responses recieved by the PHP-side. ...","component":false,"superclasses":[],"subclasses":["Zarafa.core.data.AbstractNotificationResponseHandler","Zarafa.core.data.CompositeResponseHandler","Zarafa.core.data.ProxyResponseHandler"],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Subclasses</h4><div class='dependency'><a href='#!/api/Zarafa.core.data.AbstractNotificationResponseHandler' rel='Zarafa.core.data.AbstractNotificationResponseHandler' class='docClass'>Zarafa.core.data.AbstractNotificationResponseHandler</a></div><div class='dependency'><a href='#!/api/Zarafa.core.data.CompositeResponseHandler' rel='Zarafa.core.data.CompositeResponseHandler' class='docClass'>Zarafa.core.data.CompositeResponseHandler</a></div><div class='dependency'><a href='#!/api/Zarafa.core.data.ProxyResponseHandler' rel='Zarafa.core.data.ProxyResponseHandler' class='docClass'>Zarafa.core.data.ProxyResponseHandler</a></div><h4>Files</h4><div class='dependency'><a href='source/AbstractResponseHandler.html#Zarafa-core-data-AbstractResponseHandler' target='_blank'>AbstractResponseHandler.js</a></div></pre><div class='doc-contents'><p>The main interface used by the <a href=\"#!/api/Zarafa.core.ResponseRouter\" rel=\"Zarafa.core.ResponseRouter\" class=\"docClass\">ResponseRouter</a>\nfor handling responses recieved by the PHP-side.</p>\n\n<p>This class is used as 'scoped' object, containing all information for handling\na specific server-response or server-notification.</p>\n\n<p>The <a href=\"#!/api/Zarafa.core.data.AbstractResponseHandler-method-start\" rel=\"Zarafa.core.data.AbstractResponseHandler-method-start\" class=\"docClass\">start</a> function will be called directly before the\n<a href=\"#!/api/Zarafa.core.ResponseRouter\" rel=\"Zarafa.core.ResponseRouter\" class=\"docClass\">ResponseRouter</a> starts processing\nthe Response from the server which is intended for this handler.</p>\n\n<p>After this function the <a href=\"#!/api/Zarafa.core.data.AbstractResponseHandler-method-handle\" rel=\"Zarafa.core.data.AbstractResponseHandler-method-handle\" class=\"docClass\">handle</a> function will be invoked\nfor each object inside the responds. Subclasses should not overwrite\nthis function directly, instead they can implement the specific handles\nthey need. Each <a href=\"#!/api/Zarafa.core.Actions\" rel=\"Zarafa.core.Actions\" class=\"docClass\">Zarafa.core.Actions</a> action will invoke the handler\nwith the same name but with 'do' prefixed. For example, the action\n<a href=\"#!/api/Zarafa.core.Actions-property-item\" rel=\"Zarafa.core.Actions-property-item\" class=\"docClass\">Zarafa.core.Actions.item</a> will cause the function 'doItem' to be\ninvoked. Likewise, the action <a href=\"#!/api/Zarafa.core.Actions-property-open\" rel=\"Zarafa.core.Actions-property-open\" class=\"docClass\">Zarafa.core.Actions.open</a> will cause\nthe function 'doOpen' to be invoked.</p>\n\n<p>Finally the <a href=\"#!/api/Zarafa.core.data.AbstractResponseHandler-method-done\" rel=\"Zarafa.core.data.AbstractResponseHandler-method-done\" class=\"docClass\">done</a> function is called to indicate the entire\nresponse has been processed. The handler can then complete the\ntransaction by updating the <a href=\"#!/api/Ext.data.Store\" rel=\"Ext.data.Store\" class=\"docClass\">Ext.data.Store</a>.</p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-constructor' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.AbstractResponseHandler'>Zarafa.core.data.AbstractResponseHandler</span><br/><a href='source/AbstractResponseHandler.html#Zarafa-core-data-AbstractResponseHandler-method-constructor' target='_blank' class='view-source'>view source</a></div><strong class='new-keyword'>new</strong><a href='#!/api/Zarafa.core.data.AbstractResponseHandler-method-constructor' class='name expandable'>Zarafa.core.data.AbstractResponseHandler</a>( <span class='pre'>config</span> ) : <a href=\"#!/api/Zarafa.core.data.AbstractResponseHandler\" rel=\"Zarafa.core.data.AbstractResponseHandler\" class=\"docClass\">Zarafa.core.data.AbstractResponseHandler</a><span class=\"signature\"></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : Object<div class='sub-desc'><p>Configuration object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Zarafa.core.data.AbstractResponseHandler\" rel=\"Zarafa.core.data.AbstractResponseHandler\" class=\"docClass\">Zarafa.core.data.AbstractResponseHandler</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-done' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.AbstractResponseHandler'>Zarafa.core.data.AbstractResponseHandler</span><br/><a href='source/AbstractResponseHandler.html#Zarafa-core-data-AbstractResponseHandler-method-done' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.AbstractResponseHandler-method-done' class='name expandable'>done</a>( <span class='pre'>success</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>The main handler to complete a Response processing transaction. ...</div><div class='long'><p>The main handler to complete a Response processing transaction.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>success</span> : Boolean<div class='sub-desc'><p>True if no errors were returned from the PHP-side.</p>\n</div></li></ul></div></div></div><div id='method-handle' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.AbstractResponseHandler'>Zarafa.core.data.AbstractResponseHandler</span><br/><a href='source/AbstractResponseHandler.html#Zarafa-core-data-AbstractResponseHandler-method-handle' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.AbstractResponseHandler-method-handle' class='name expandable'>handle</a>( <span class='pre'>action, data</span> ) : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>The handler for handling the given command from a Response. ...</div><div class='long'><p>The handler for handling the given command from a Response.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>action</span> : <a href=\"#!/api/Zarafa.core.Actions\" rel=\"Zarafa.core.Actions\" class=\"docClass\">Zarafa.core.Actions</a><div class='sub-desc'><p>The action which must be executed.</p>\n</div></li><li><span class='pre'>data</span> : Object<div class='sub-desc'><p>The response object belonging to the given command.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Boolean</span><div class='sub-desc'><p>False when action could not be handled successfully. This will\nnot cancel the transaction itself, but rather causes the 'success' argument for the\n<a href=\"#!/api/Zarafa.core.data.AbstractResponseHandler-method-done\" rel=\"Zarafa.core.data.AbstractResponseHandler-method-done\" class=\"docClass\">done</a> function to be false.</p>\n</div></li></ul></div></div></div><div id='method-responseFailure' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.AbstractResponseHandler'>Zarafa.core.data.AbstractResponseHandler</span><br/><a href='source/AbstractResponseHandler.html#Zarafa-core-data-AbstractResponseHandler-method-responseFailure' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.AbstractResponseHandler-method-responseFailure' class='name expandable'>responseFailure</a>( <span class='pre'>responseObject, [args]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>The handler which is invoked when no valid response was returned\nfor the Request. ...</div><div class='long'><p>The handler which is invoked when no valid response was returned\nfor the Request. This could be a HTTP-404 error, or the PHP-side returned\nan invalid object which could not be parsed by a <a href=\"#!/api/Ext.data.DataReader\" rel=\"Ext.data.DataReader\" class=\"docClass\">DataReader</a>.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>responseObject</span> : Object<div class='sub-desc'><p>The raw browser response object (e.g.: XMLHttpRequest)</p>\n</div></li><li><span class='pre'>args</span> : Object (optional)<div class='sub-desc'><p>A Javascript error object if the response could not\nhave been parsed by a <a href=\"#!/api/Ext.data.DataReader\" rel=\"Ext.data.DataReader\" class=\"docClass\">DataReader</a>.</p>\n</div></li></ul></div></div></div><div id='method-start' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.AbstractResponseHandler'>Zarafa.core.data.AbstractResponseHandler</span><br/><a href='source/AbstractResponseHandler.html#Zarafa-core-data-AbstractResponseHandler-method-start' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.AbstractResponseHandler-method-start' class='name expandable'>start</a>( <span class='pre'>moduleName, moduleId, data, timestamp</span> ) : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>The main handler to begin a Response processing transaction. ...</div><div class='long'><p>The main handler to begin a Response processing transaction.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>moduleName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The name of the PHP module from which this response originated.</p>\n</div></li><li><span class='pre'>moduleId</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The unique identifier for the PHP response.</p>\n</div></li><li><span class='pre'>data</span> : Object<div class='sub-desc'><p>The entire response object which will be processed during this transaction.</p>\n</div></li><li><span class='pre'>timestamp</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The timestamp on which the response was received</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Boolean</span><div class='sub-desc'><p>False when the given data object cannot be handled by this response handler,\nand the transaction must be canceled.</p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{}});