Ext.data.JsonP.Zarafa_core_data_RecordFactory({"tagname":"class","name":"Zarafa.core.data.RecordFactory","autodetected":{"members":true},"files":[{"filename":"RecordFactory.js","href":"RecordFactory.html#Zarafa-core-data-RecordFactory"}],"singleton":true,"members":[{"name":"definitions","tagname":"property","owner":"Zarafa.core.data.RecordFactory","id":"property-definitions","meta":{}},{"name":"addDefaultValueToCustomType","tagname":"method","owner":"Zarafa.core.data.RecordFactory","id":"method-addDefaultValueToCustomType","meta":{}},{"name":"addDefaultValueToMessageClass","tagname":"method","owner":"Zarafa.core.data.RecordFactory","id":"method-addDefaultValueToMessageClass","meta":{}},{"name":"addDefaultValueToObjectType","tagname":"method","owner":"Zarafa.core.data.RecordFactory","id":"method-addDefaultValueToObjectType","meta":{}},{"name":"addFieldToCustomType","tagname":"method","owner":"Zarafa.core.data.RecordFactory","id":"method-addFieldToCustomType","meta":{}},{"name":"addFieldToMessageClass","tagname":"method","owner":"Zarafa.core.data.RecordFactory","id":"method-addFieldToMessageClass","meta":{}},{"name":"addFieldToObjectType","tagname":"method","owner":"Zarafa.core.data.RecordFactory","id":"method-addFieldToObjectType","meta":{}},{"name":"addListenerToCustomType","tagname":"method","owner":"Zarafa.core.data.RecordFactory","id":"method-addListenerToCustomType","meta":{}},{"name":"addListenerToMessageClass","tagname":"method","owner":"Zarafa.core.data.RecordFactory","id":"method-addListenerToMessageClass","meta":{}},{"name":"addListenerToObjectType","tagname":"method","owner":"Zarafa.core.data.RecordFactory","id":"method-addListenerToObjectType","meta":{}},{"name":"createRecordDefinition","tagname":"method","owner":"Zarafa.core.data.RecordFactory","id":"method-createRecordDefinition","meta":{}},{"name":"createRecordObjectByCustomType","tagname":"method","owner":"Zarafa.core.data.RecordFactory","id":"method-createRecordObjectByCustomType","meta":{}},{"name":"createRecordObjectByMessageClass","tagname":"method","owner":"Zarafa.core.data.RecordFactory","id":"method-createRecordObjectByMessageClass","meta":{}},{"name":"createRecordObjectByObjectType","tagname":"method","owner":"Zarafa.core.data.RecordFactory","id":"method-createRecordObjectByObjectType","meta":{}},{"name":"createRecordObjectByRecordData","tagname":"method","owner":"Zarafa.core.data.RecordFactory","id":"method-createRecordObjectByRecordData","meta":{}},{"name":"getMessageClassParent","tagname":"method","owner":"Zarafa.core.data.RecordFactory","id":"method-getMessageClassParent","meta":{"private":true}},{"name":"getMessageClassParentDefinition","tagname":"method","owner":"Zarafa.core.data.RecordFactory","id":"method-getMessageClassParentDefinition","meta":{}},{"name":"getRecordClassByCustomType","tagname":"method","owner":"Zarafa.core.data.RecordFactory","id":"method-getRecordClassByCustomType","meta":{}},{"name":"getRecordClassByMessageClass","tagname":"method","owner":"Zarafa.core.data.RecordFactory","id":"method-getRecordClassByMessageClass","meta":{}},{"name":"getRecordClassByObjectType","tagname":"method","owner":"Zarafa.core.data.RecordFactory","id":"method-getRecordClassByObjectType","meta":{}},{"name":"getRecordClassByRecordData","tagname":"method","owner":"Zarafa.core.data.RecordFactory","id":"method-getRecordClassByRecordData","meta":{}},{"name":"getRecordDefinitionByCustomType","tagname":"method","owner":"Zarafa.core.data.RecordFactory","id":"method-getRecordDefinitionByCustomType","meta":{"private":true}},{"name":"getRecordDefinitionByMessageClass","tagname":"method","owner":"Zarafa.core.data.RecordFactory","id":"method-getRecordDefinitionByMessageClass","meta":{"private":true}},{"name":"getRecordDefinitionByObjectType","tagname":"method","owner":"Zarafa.core.data.RecordFactory","id":"method-getRecordDefinitionByObjectType","meta":{"private":true}},{"name":"setBaseClassToCustomType","tagname":"method","owner":"Zarafa.core.data.RecordFactory","id":"method-setBaseClassToCustomType","meta":{}},{"name":"setBaseClassToMessageClass","tagname":"method","owner":"Zarafa.core.data.RecordFactory","id":"method-setBaseClassToMessageClass","meta":{}},{"name":"setBaseClassToObjectType","tagname":"method","owner":"Zarafa.core.data.RecordFactory","id":"method-setBaseClassToObjectType","meta":{}},{"name":"setSubStoreToCustomType","tagname":"method","owner":"Zarafa.core.data.RecordFactory","id":"method-setSubStoreToCustomType","meta":{}},{"name":"setSubStoreToMessageClass","tagname":"method","owner":"Zarafa.core.data.RecordFactory","id":"method-setSubStoreToMessageClass","meta":{}},{"name":"setSubStoreToObjectType","tagname":"method","owner":"Zarafa.core.data.RecordFactory","id":"method-setSubStoreToObjectType","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-Zarafa.core.data.RecordFactory","short_doc":"The factory class for creating objects of record\nwhich are specialized for certain messageclasses (IPM.Note, IPM.Cont...","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Files</h4><div class='dependency'><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory' target='_blank'>RecordFactory.js</a></div></pre><div class='doc-contents'><p>The factory class for creating objects of <a href=\"#!/api/Ext.data.Record\" rel=\"Ext.data.Record\" class=\"docClass\">record</a>\nwhich are specialized for certain messageclasses (IPM.Note, IPM.Contact, etc).\nThe exact field definition of the different <a href=\"#!/api/Ext.data.Record\" rel=\"Ext.data.Record\" class=\"docClass\">records</a>\ncan be configured by <a href=\"#!/api/Zarafa.core.Context\" rel=\"Zarafa.core.Context\" class=\"docClass\">contexts</a> and <a href=\"#!/api/Zarafa.core.Plugin\" rel=\"Zarafa.core.Plugin\" class=\"docClass\">plugins</a>\nto add new fields, but also to control the default values for particular fields.</p>\n\n<p>For fine-grained control over all classes, the factory also supports\n<a href=\"#!/api/Ext.data.Record\" rel=\"Ext.data.Record\" class=\"docClass\">record</a> for sub messageclasses like (IPM.Note.NDR),\nwhere the sub messageclass depends on its parent (IPM.Note.NDR inherits its fields, and\ndefault values from IPM.Note).</p>\n\n<p>For plugins with custom types (no official MAPI ObjectType, or Message Class definition),\nwe have the <a href=\"#!/api/Zarafa.core.data.RecordCustomObjectType\" rel=\"Zarafa.core.data.RecordCustomObjectType\" class=\"docClass\">Custom Type</a> definitions to which\nthey can register their custom type, which can then be used to work together with\nthe record factory.</p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-property'>Properties</h3><div class='subsection'><div id='property-definitions' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-property-definitions' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-property-definitions' class='name expandable'>definitions</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Key-value map of Zarafa.core.data.RecordDefinition as registered by\ncreateRecordDefinition. ...</div><div class='long'><p>Key-value map of <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">Zarafa.core.data.RecordDefinition</a> as registered by\n<a href=\"#!/api/Zarafa.core.data.RecordFactory-method-createRecordDefinition\" rel=\"Zarafa.core.data.RecordFactory-method-createRecordDefinition\" class=\"docClass\">createRecordDefinition</a>.</p>\n<p>Defaults to: <code>{}</code></p></div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-addDefaultValueToCustomType' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-method-addDefaultValueToCustomType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-method-addDefaultValueToCustomType' class='name expandable'>addDefaultValueToCustomType</a>( <span class='pre'>customType, field, defaultValue</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>This will add a default value for a field\nto the definition. ...</div><div class='long'><p>This will add a default value for a <a href=\"#!/api/Ext.data.Field\" rel=\"Ext.data.Field\" class=\"docClass\">field</a>\nto the <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">definition</a>. When\ncreating a new local item\n(createRecordObjectByCustomType\nwith the phantom argument to true) the default values which be applied\nto the newly created <a href=\"#!/api/Ext.data.Record\" rel=\"Ext.data.Record\" class=\"docClass\">record</a>.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>customType</span> : <a href=\"#!/api/Zarafa.core.data.RecordCustomObjectType\" rel=\"Zarafa.core.data.RecordCustomObjectType\" class=\"docClass\">Zarafa.core.data.RecordCustomObjectType</a><div class='sub-desc'><p>The custom type to which the field belongs</p>\n</div></li><li><span class='pre'>field</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Ext.data.Field\" rel=\"Ext.data.Field\" class=\"docClass\">Ext.data.Field</a><div class='sub-desc'><p>The field for which the default\nvalue should be applied</p>\n</div></li><li><span class='pre'>defaultValue</span> : Mixed<div class='sub-desc'><p>the default value for the given fieldname</p>\n</div></li></ul></div></div></div><div id='method-addDefaultValueToMessageClass' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-method-addDefaultValueToMessageClass' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-method-addDefaultValueToMessageClass' class='name expandable'>addDefaultValueToMessageClass</a>( <span class='pre'>messageClass, field, defaultValue</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>This will add a default value for a field\nto the definition. ...</div><div class='long'><p>This will add a default value for a <a href=\"#!/api/Ext.data.Field\" rel=\"Ext.data.Field\" class=\"docClass\">field</a>\nto the <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">definition</a>. When\ncreating a new local item\n(createRecordObjectByMessageClass\nwith the phantom argument to true) the default values which be applied\nto the newly created <a href=\"#!/api/Ext.data.Record\" rel=\"Ext.data.Record\" class=\"docClass\">record</a>.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>messageClass</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The messageclass to which the field belongs</p>\n</div></li><li><span class='pre'>field</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Ext.data.Field\" rel=\"Ext.data.Field\" class=\"docClass\">Ext.data.Field</a><div class='sub-desc'><p>The field for which the default\nvalue should be applied</p>\n</div></li><li><span class='pre'>defaultValue</span> : Mixed<div class='sub-desc'><p>the default value for the given fieldname</p>\n</div></li></ul></div></div></div><div id='method-addDefaultValueToObjectType' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-method-addDefaultValueToObjectType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-method-addDefaultValueToObjectType' class='name expandable'>addDefaultValueToObjectType</a>( <span class='pre'>objectType, field, defaultValue</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>This will add a default value for a field\nto the definition. ...</div><div class='long'><p>This will add a default value for a <a href=\"#!/api/Ext.data.Field\" rel=\"Ext.data.Field\" class=\"docClass\">field</a>\nto the <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">definition</a>. When\ncreating a new local item\n(createRecordObjectByObjectType\nwith the phantom argument to true) the default values which be applied\nto the newly created <a href=\"#!/api/Ext.data.Record\" rel=\"Ext.data.Record\" class=\"docClass\">record</a>.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>objectType</span> : <a href=\"#!/api/Zarafa.core.mapi.ObjectType\" rel=\"Zarafa.core.mapi.ObjectType\" class=\"docClass\">Zarafa.core.mapi.ObjectType</a><div class='sub-desc'><p>The object type to which the field belongs</p>\n</div></li><li><span class='pre'>field</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Ext.data.Field\" rel=\"Ext.data.Field\" class=\"docClass\">Ext.data.Field</a><div class='sub-desc'><p>The field for which the default\nvalue should be applied</p>\n</div></li><li><span class='pre'>defaultValue</span> : Mixed<div class='sub-desc'><p>the default value for the given fieldname</p>\n</div></li></ul></div></div></div><div id='method-addFieldToCustomType' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-method-addFieldToCustomType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-method-addFieldToCustomType' class='name expandable'>addFieldToCustomType</a>( <span class='pre'>customType, field</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>This will add a new field to the\ndefinition. ...</div><div class='long'><p>This will add a new <a href=\"#!/api/Ext.data.Field\" rel=\"Ext.data.Field\" class=\"docClass\">field</a> to the\n<a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">definition</a>.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>customType</span> : <a href=\"#!/api/Zarafa.core.data.RecordCustomObjectType\" rel=\"Zarafa.core.data.RecordCustomObjectType\" class=\"docClass\">Zarafa.core.data.RecordCustomObjectType</a><div class='sub-desc'><p>The custom type to which the field\nshould be added.</p>\n</div></li><li><span class='pre'>field</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Ext.data.Field\" rel=\"Ext.data.Field\" class=\"docClass\">Ext.data.Field</a><div class='sub-desc'><p>The field which must be added.</p>\n</div></li></ul></div></div></div><div id='method-addFieldToMessageClass' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-method-addFieldToMessageClass' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-method-addFieldToMessageClass' class='name expandable'>addFieldToMessageClass</a>( <span class='pre'>messageClass, field</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>This will add a new field to the\ndefinition. ...</div><div class='long'><p>This will add a new <a href=\"#!/api/Ext.data.Field\" rel=\"Ext.data.Field\" class=\"docClass\">field</a> to the\n<a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">definition</a>.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>messageClass</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The messageclass to which the field\nshould be added.</p>\n</div></li><li><span class='pre'>field</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Ext.data.Field\" rel=\"Ext.data.Field\" class=\"docClass\">Ext.data.Field</a><div class='sub-desc'><p>The field which must be added.</p>\n</div></li></ul></div></div></div><div id='method-addFieldToObjectType' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-method-addFieldToObjectType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-method-addFieldToObjectType' class='name expandable'>addFieldToObjectType</a>( <span class='pre'>objectType, field</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>This will add a new field to the\ndefinition. ...</div><div class='long'><p>This will add a new <a href=\"#!/api/Ext.data.Field\" rel=\"Ext.data.Field\" class=\"docClass\">field</a> to the\n<a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">definition</a>.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>objectType</span> : <a href=\"#!/api/Zarafa.core.mapi.ObjectType\" rel=\"Zarafa.core.mapi.ObjectType\" class=\"docClass\">Zarafa.core.mapi.ObjectType</a><div class='sub-desc'><p>The object type to which the field\nshould be added.</p>\n</div></li><li><span class='pre'>field</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Ext.data.Field\" rel=\"Ext.data.Field\" class=\"docClass\">Ext.data.Field</a><div class='sub-desc'><p>The field which must be added.</p>\n</div></li></ul></div></div></div><div id='method-addListenerToCustomType' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-method-addListenerToCustomType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-method-addListenerToCustomType' class='name expandable'>addListenerToCustomType</a>( <span class='pre'>customType, eventName, handler, [scope], [options]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Appends an event handler to the RecordDefinition\nfor the given CustomType. ...</div><div class='long'><p>Appends an event handler to the <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">RecordDefinition</a>\nfor the given CustomType.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>customType</span> : <a href=\"#!/api/Zarafa.core.data.RecordCustomObjectType\" rel=\"Zarafa.core.data.RecordCustomObjectType\" class=\"docClass\">Zarafa.core.data.RecordCustomObjectType</a><div class='sub-desc'><p>The custom type to which the event must be added</p>\n</div></li><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The name of the event to listen for</p>\n</div></li><li><span class='pre'>handler</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a><div class='sub-desc'><p>The method the event invokes</p>\n</div></li><li><span class='pre'>scope</span> : Object (optional)<div class='sub-desc'><p>The scope (this reference) in which the handler function is executed.\nIf omitted, defaults to the object which fired the event.</p>\n</div></li><li><span class='pre'>options</span> : Object (optional)<div class='sub-desc'><p>An object containing handler configuration properties.</p>\n</div></li></ul></div></div></div><div id='method-addListenerToMessageClass' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-method-addListenerToMessageClass' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-method-addListenerToMessageClass' class='name expandable'>addListenerToMessageClass</a>( <span class='pre'>messageClass, eventName, handler, [scope], [options]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Appends an event handler to the RecordDefinition\nfor the given messageClass. ...</div><div class='long'><p>Appends an event handler to the <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">RecordDefinition</a>\nfor the given messageClass.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>messageClass</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The messageclass to which the event must be added</p>\n</div></li><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The name of the event to listen for</p>\n</div></li><li><span class='pre'>handler</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a><div class='sub-desc'><p>The method the event invokes</p>\n</div></li><li><span class='pre'>scope</span> : Object (optional)<div class='sub-desc'><p>The scope (this reference) in which the handler function is executed.\nIf omitted, defaults to the object which fired the event.</p>\n</div></li><li><span class='pre'>options</span> : Object (optional)<div class='sub-desc'><p>An object containing handler configuration properties.</p>\n</div></li></ul></div></div></div><div id='method-addListenerToObjectType' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-method-addListenerToObjectType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-method-addListenerToObjectType' class='name expandable'>addListenerToObjectType</a>( <span class='pre'>objectType, eventName, handler, [scope], [options]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Appends an event handler to the RecordDefinition\nfor the given ObjectType. ...</div><div class='long'><p>Appends an event handler to the <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">RecordDefinition</a>\nfor the given ObjectType.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>objectType</span> : <a href=\"#!/api/Zarafa.core.mapi.ObjectType\" rel=\"Zarafa.core.mapi.ObjectType\" class=\"docClass\">Zarafa.core.mapi.ObjectType</a><div class='sub-desc'><p>The object type to which the event must be added</p>\n</div></li><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The name of the event to listen for</p>\n</div></li><li><span class='pre'>handler</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a><div class='sub-desc'><p>The method the event invokes</p>\n</div></li><li><span class='pre'>scope</span> : Object (optional)<div class='sub-desc'><p>The scope (this reference) in which the handler function is executed.\nIf omitted, defaults to the object which fired the event.</p>\n</div></li><li><span class='pre'>options</span> : Object (optional)<div class='sub-desc'><p>An object containing handler configuration properties.</p>\n</div></li></ul></div></div></div><div id='method-createRecordDefinition' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-method-createRecordDefinition' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-method-createRecordDefinition' class='name expandable'>createRecordDefinition</a>( <span class='pre'>key, parent, defaults</span> ) : <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">Zarafa.core.data.RecordDefinition</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Create a new RecordDefinition\nfor the given key value. ...</div><div class='long'><p>Create a new <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">RecordDefinition</a>\nfor the given key value.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>key</span> : Mixed<div class='sub-desc'><p>The key value on how the definition is stored\nin the definitions table.</p>\n</div></li><li><span class='pre'>parent</span> : <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">Zarafa.core.data.RecordDefinition</a><div class='sub-desc'><p>The parent record\ndefinition.</p>\n</div></li><li><span class='pre'>defaults</span> : Object<div class='sub-desc'><p>The default values which must be applied to\nthe record definition.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">Zarafa.core.data.RecordDefinition</a></span><div class='sub-desc'><p>The new record definition.</p>\n</div></li></ul></div></div></div><div id='method-createRecordObjectByCustomType' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-method-createRecordObjectByCustomType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-method-createRecordObjectByCustomType' class='name expandable'>createRecordObjectByCustomType</a>( <span class='pre'>customType, [data], [id]</span> ) : <a href=\"#!/api/Ext.data.Record\" rel=\"Ext.data.Record\" class=\"docClass\">Ext.data.Record</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Create a new record object based on the\ndefinitions given for the custom type. ...</div><div class='long'><p>Create a new <a href=\"#!/api/Ext.data.Record\" rel=\"Ext.data.Record\" class=\"docClass\">record</a> object based on the\ndefinitions given for the custom type.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>customType</span> : <a href=\"#!/api/Zarafa.core.data.RecordCustomObjectType\" rel=\"Zarafa.core.data.RecordCustomObjectType\" class=\"docClass\">Zarafa.core.data.RecordCustomObjectType</a><div class='sub-desc'><p>The custom type for which\nthe record is created.</p>\n</div></li><li><span class='pre'>data</span> : Object (optional)<div class='sub-desc'><p>An object, the properties of which provide\nvalues for the new Record's fields. If not specified the Ext.data.Field.defaultValue\nfor each field will be assigned.</p>\n</div></li><li><span class='pre'>id</span> : Object (optional)<div class='sub-desc'><p>The id of the Record. The id is used by the\n<a href=\"#!/api/Ext.data.Store\" rel=\"Ext.data.Store\" class=\"docClass\">Store</a> object which owns the <a href=\"#!/api/Ext.data.Record\" rel=\"Ext.data.Record\" class=\"docClass\">Ext.data.Record</a>\nto index its collection of Records (therefore this id should be unique within\neach store). If an id is not specified a phantom Record will be created with an\nautomatically generated id.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.data.Record\" rel=\"Ext.data.Record\" class=\"docClass\">Ext.data.Record</a></span><div class='sub-desc'><p>The new record</p>\n</div></li></ul></div></div></div><div id='method-createRecordObjectByMessageClass' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-method-createRecordObjectByMessageClass' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-method-createRecordObjectByMessageClass' class='name expandable'>createRecordObjectByMessageClass</a>( <span class='pre'>messageClass, [data], [id]</span> ) : <a href=\"#!/api/Ext.data.Record\" rel=\"Ext.data.Record\" class=\"docClass\">Ext.data.Record</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Create a new record object based on the\ndefinitions given for the messageclass. ...</div><div class='long'><p>Create a new <a href=\"#!/api/Ext.data.Record\" rel=\"Ext.data.Record\" class=\"docClass\">record</a> object based on the\ndefinitions given for the messageclass.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>messageClass</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The messageclass for which the record is created.</p>\n</div></li><li><span class='pre'>data</span> : Object (optional)<div class='sub-desc'><p>An object, the properties of which provide\nvalues for the new Record's fields. If not specified the Ext.data.Field.defaultValue\nfor each field will be assigned.</p>\n</div></li><li><span class='pre'>id</span> : Object (optional)<div class='sub-desc'><p>The id of the Record. The id is used by the\n<a href=\"#!/api/Ext.data.Store\" rel=\"Ext.data.Store\" class=\"docClass\">Store</a> object which owns the <a href=\"#!/api/Ext.data.Record\" rel=\"Ext.data.Record\" class=\"docClass\">Ext.data.Record</a>\nto index its collection of Records (therefore this id should be unique within\neach store). If an id is not specified a phantom Record will be created with an\nautomatically generated id.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.data.Record\" rel=\"Ext.data.Record\" class=\"docClass\">Ext.data.Record</a></span><div class='sub-desc'><p>The new record</p>\n</div></li></ul></div></div></div><div id='method-createRecordObjectByObjectType' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-method-createRecordObjectByObjectType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-method-createRecordObjectByObjectType' class='name expandable'>createRecordObjectByObjectType</a>( <span class='pre'>objectType, [data], [id]</span> ) : <a href=\"#!/api/Ext.data.Record\" rel=\"Ext.data.Record\" class=\"docClass\">Ext.data.Record</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Create a new record object based on the\ndefinitions given for the object type. ...</div><div class='long'><p>Create a new <a href=\"#!/api/Ext.data.Record\" rel=\"Ext.data.Record\" class=\"docClass\">record</a> object based on the\ndefinitions given for the object type.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>objectType</span> : <a href=\"#!/api/Zarafa.core.mapi.ObjectType\" rel=\"Zarafa.core.mapi.ObjectType\" class=\"docClass\">Zarafa.core.mapi.ObjectType</a><div class='sub-desc'><p>The object type for which\nthe record is created.</p>\n</div></li><li><span class='pre'>data</span> : Object (optional)<div class='sub-desc'><p>An object, the properties of which provide\nvalues for the new Record's fields. If not specified the Ext.data.Field.defaultValue\nfor each field will be assigned.</p>\n</div></li><li><span class='pre'>id</span> : Object (optional)<div class='sub-desc'><p>The id of the Record. The id is used by the\n<a href=\"#!/api/Ext.data.Store\" rel=\"Ext.data.Store\" class=\"docClass\">Store</a> object which owns the <a href=\"#!/api/Ext.data.Record\" rel=\"Ext.data.Record\" class=\"docClass\">Ext.data.Record</a>\nto index its collection of Records (therefore this id should be unique within\neach store). If an id is not specified a phantom Record will be created with an\nautomatically generated id.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.data.Record\" rel=\"Ext.data.Record\" class=\"docClass\">Ext.data.Record</a></span><div class='sub-desc'><p>The new record</p>\n</div></li></ul></div></div></div><div id='method-createRecordObjectByRecordData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-method-createRecordObjectByRecordData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-method-createRecordObjectByRecordData' class='name expandable'>createRecordObjectByRecordData</a>( <span class='pre'>recordData, [id]</span> ) : Class<span class=\"signature\"></span></div><div class='description'><div class='short'>Create a new record object based on the\ndefinitions from the record data, this will determine if\nthe messageclass of ...</div><div class='long'><p>Create a new <a href=\"#!/api/Ext.data.Record\" rel=\"Ext.data.Record\" class=\"docClass\">record</a> object based on the\ndefinitions from the record data, this will determine if\nthe messageclass of object type has been provided. If neither has been provided\nthis function will return undefined.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>recordData</span> : Object<div class='sub-desc'><p>The record data from which the record class must be detected\nit slaos contains the properties of which provide values for the new Record's fields.</p>\n</div></li><li><span class='pre'>id</span> : Object (optional)<div class='sub-desc'><p>The id of the Record. The id is used by the\n<a href=\"#!/api/Ext.data.Store\" rel=\"Ext.data.Store\" class=\"docClass\">Store</a> object which owns the <a href=\"#!/api/Ext.data.Record\" rel=\"Ext.data.Record\" class=\"docClass\">Ext.data.Record</a>\nto index its collection of Records (therefore this id should be unique within\neach store). If an id is not specified a phantom Record will be created with an\nautomatically generated id.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Class</span><div class='sub-desc'><p>The record class definition</p>\n</div></li></ul></div></div></div><div id='method-getMessageClassParent' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-method-getMessageClassParent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-method-getMessageClassParent' class='name expandable'>getMessageClassParent</a>( <span class='pre'>messageClass</span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Obtain the parent messageclass for the given messageclass. ...</div><div class='long'><p>Obtain the parent messageclass for the given messageclass.\nThe hierarchy of the messageclass is based on the dot ('.')\ncharacter. Each dot indicates a step deeper into the hierarchy.\nThus if the messageclass is IPM.Note, the parent is IPM.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>messageClass</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The messageclass for which\nthe parent is requested.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'><p>The parent messageclass (undefined, if\nthe messageclass has no parent.</p>\n</div></li></ul></div></div></div><div id='method-getMessageClassParentDefinition' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-method-getMessageClassParentDefinition' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-method-getMessageClassParentDefinition' class='name expandable'>getMessageClassParentDefinition</a>( <span class='pre'>The</span> ) : <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">Zarafa.core.data.RecordDefinition</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Obtain the parent RecordDefinition\nfor this messageclass. ...</div><div class='long'><p>Obtain the parent <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">RecordDefinition</a>\nfor this messageclass.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>The</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>messageclass for the parent is searched for</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">Zarafa.core.data.RecordDefinition</a></span><div class='sub-desc'><p>The parent record definition.\nUndefined if the messageclass does not have a parent.</p>\n</div></li></ul></div></div></div><div id='method-getRecordClassByCustomType' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-method-getRecordClassByCustomType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-method-getRecordClassByCustomType' class='name expandable'>getRecordClassByCustomType</a>( <span class='pre'>customType</span> ) : Class<span class=\"signature\"></span></div><div class='description'><div class='short'>Get the record class definition for this custom type\nThis class definition can be used to construct new record\nobject...</div><div class='long'><p>Get the record class definition for this custom type\nThis class definition can be used to construct new <a href=\"#!/api/Ext.data.Record\" rel=\"Ext.data.Record\" class=\"docClass\">record</a>\nobjects which is completely tuned for the given object type.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>customType</span> : <a href=\"#!/api/Zarafa.core.data.RecordCustomObjectType\" rel=\"Zarafa.core.data.RecordCustomObjectType\" class=\"docClass\">Zarafa.core.data.RecordCustomObjectType</a><div class='sub-desc'><p>The object type for which the\nrecord class is requested</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Class</span><div class='sub-desc'><p>The record class definition</p>\n</div></li></ul></div></div></div><div id='method-getRecordClassByMessageClass' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-method-getRecordClassByMessageClass' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-method-getRecordClassByMessageClass' class='name expandable'>getRecordClassByMessageClass</a>( <span class='pre'>messageClass</span> ) : Class<span class=\"signature\"></span></div><div class='description'><div class='short'>Get the record class definition for this messageclass\nThis class definition can be used to construct new record\nobjec...</div><div class='long'><p>Get the record class definition for this messageclass\nThis class definition can be used to construct new <a href=\"#!/api/Ext.data.Record\" rel=\"Ext.data.Record\" class=\"docClass\">record</a>\nobjects which is completely tuned for the given messageclass.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>messageClass</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The messageclass for which the record class is requested</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Class</span><div class='sub-desc'><p>The record class definition</p>\n</div></li></ul></div></div></div><div id='method-getRecordClassByObjectType' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-method-getRecordClassByObjectType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-method-getRecordClassByObjectType' class='name expandable'>getRecordClassByObjectType</a>( <span class='pre'>objectType</span> ) : Class<span class=\"signature\"></span></div><div class='description'><div class='short'>Get the record class definition for this object type\nThis class definition can be used to construct new record\nobject...</div><div class='long'><p>Get the record class definition for this object type\nThis class definition can be used to construct new <a href=\"#!/api/Ext.data.Record\" rel=\"Ext.data.Record\" class=\"docClass\">record</a>\nobjects which is completely tuned for the given object type.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>objectType</span> : <a href=\"#!/api/Zarafa.core.mapi.ObjectType\" rel=\"Zarafa.core.mapi.ObjectType\" class=\"docClass\">Zarafa.core.mapi.ObjectType</a><div class='sub-desc'><p>The object type for which the\nrecord class is requested</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Class</span><div class='sub-desc'><p>The record class definition</p>\n</div></li></ul></div></div></div><div id='method-getRecordClassByRecordData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-method-getRecordClassByRecordData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-method-getRecordClassByRecordData' class='name expandable'>getRecordClassByRecordData</a>( <span class='pre'>recordData</span> ) : Class<span class=\"signature\"></span></div><div class='description'><div class='short'>Get the record class definition for this record data, this will determine if\nthe messageclass of object type has been...</div><div class='long'><p>Get the record class definition for this record data, this will determine if\nthe messageclass of object type has been provided. If neither has been provided\nthis function will return undefined.\nThis class definition can be used to construct new <a href=\"#!/api/Ext.data.Record\" rel=\"Ext.data.Record\" class=\"docClass\">record</a>\nobjects which is completely tuned for the given messageclass.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>recordData</span> : Object<div class='sub-desc'><p>The record data from which the record class must be detected</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Class</span><div class='sub-desc'><p>The record class definition</p>\n</div></li></ul></div></div></div><div id='method-getRecordDefinitionByCustomType' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-method-getRecordDefinitionByCustomType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-method-getRecordDefinitionByCustomType' class='name expandable'>getRecordDefinitionByCustomType</a>( <span class='pre'>customType</span> ) : <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">Zarafa.core.data.RecordDefinition</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Obtain the RecordDefinition object\nwhich belongs to the given custom type. ...</div><div class='long'><p>Obtain the <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">RecordDefinition</a> object\nwhich belongs to the given custom type. If the custom type is previously unknown\nand the <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">definition</a> does not exist,\na new <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">definition</a> will be created and\nreturned.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>customType</span> : <a href=\"#!/api/Zarafa.core.data.RecordCustomObjectType\" rel=\"Zarafa.core.data.RecordCustomObjectType\" class=\"docClass\">Zarafa.core.data.RecordCustomObjectType</a><div class='sub-desc'><p>The custom type for which the definition is requested.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">Zarafa.core.data.RecordDefinition</a></span><div class='sub-desc'><p>The definition object for the custom type</p>\n</div></li></ul></div></div></div><div id='method-getRecordDefinitionByMessageClass' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-method-getRecordDefinitionByMessageClass' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-method-getRecordDefinitionByMessageClass' class='name expandable'>getRecordDefinitionByMessageClass</a>( <span class='pre'>messageClass</span> ) : <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">Zarafa.core.data.RecordDefinition</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Obtain the RecordDefinition object\nwhich belongs to the given messageclass. ...</div><div class='long'><p>Obtain the <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">RecordDefinition</a> object\nwhich belongs to the given messageclass. If the messageClass is previously unknown\nand the <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">definition</a> does not exist,\na new <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">definition</a> will be created and\nreturned.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>messageClass</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The messageclass for which the definition is requested.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">Zarafa.core.data.RecordDefinition</a></span><div class='sub-desc'><p>The definition object for the messageclass.</p>\n</div></li></ul></div></div></div><div id='method-getRecordDefinitionByObjectType' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-method-getRecordDefinitionByObjectType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-method-getRecordDefinitionByObjectType' class='name expandable'>getRecordDefinitionByObjectType</a>( <span class='pre'>objectType</span> ) : <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">Zarafa.core.data.RecordDefinition</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Obtain the RecordDefinition object\nwhich belongs to the given object class. ...</div><div class='long'><p>Obtain the <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">RecordDefinition</a> object\nwhich belongs to the given object class. If the object type is previously unknown\nand the <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">definition</a> does not exist,\na new <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">definition</a> will be created and\nreturned.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>objectType</span> : <a href=\"#!/api/Zarafa.core.mapi.ObjectType\" rel=\"Zarafa.core.mapi.ObjectType\" class=\"docClass\">Zarafa.core.mapi.ObjectType</a><div class='sub-desc'><p>The object type for which the definition is requested.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">Zarafa.core.data.RecordDefinition</a></span><div class='sub-desc'><p>The definition object for the object type</p>\n</div></li></ul></div></div></div><div id='method-setBaseClassToCustomType' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-method-setBaseClassToCustomType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-method-setBaseClassToCustomType' class='name expandable'>setBaseClassToCustomType</a>( <span class='pre'>customType, baseClass</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>This will set a new base class on the definition. ...</div><div class='long'><p>This will set a new base class on the <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">definition</a>.\nThe base class is used when creating a new record, by default the ExtJS\n<a href=\"#!/api/Ext.data.Record\" rel=\"Ext.data.Record\" class=\"docClass\">record</a> will be used as base.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>customType</span> : <a href=\"#!/api/Zarafa.core.data.RecordCustomObjectType\" rel=\"Zarafa.core.data.RecordCustomObjectType\" class=\"docClass\">Zarafa.core.data.RecordCustomObjectType</a><div class='sub-desc'><p>The custom type for which\nthe new base class must be set.</p>\n</div></li><li><span class='pre'>baseClass</span> : Class<div class='sub-desc'><p>The new base class to use</p>\n</div></li></ul></div></div></div><div id='method-setBaseClassToMessageClass' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-method-setBaseClassToMessageClass' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-method-setBaseClassToMessageClass' class='name expandable'>setBaseClassToMessageClass</a>( <span class='pre'>messageClass, baseClass</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>This will set a new base class on the definition. ...</div><div class='long'><p>This will set a new base class on the <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">definition</a>.\nThe base class is used when creating a new record, by default the ExtJS\n<a href=\"#!/api/Ext.data.Record\" rel=\"Ext.data.Record\" class=\"docClass\">record</a> will be used as base.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>messageClass</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The messageclass for which\nthe new base class must be set.</p>\n</div></li><li><span class='pre'>baseClass</span> : Class<div class='sub-desc'><p>The new base class to use</p>\n</div></li></ul></div></div></div><div id='method-setBaseClassToObjectType' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-method-setBaseClassToObjectType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-method-setBaseClassToObjectType' class='name expandable'>setBaseClassToObjectType</a>( <span class='pre'>objectType, baseClass</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>This will set a new base class on the definition. ...</div><div class='long'><p>This will set a new base class on the <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">definition</a>.\nThe base class is used when creating a new record, by default the ExtJS\n<a href=\"#!/api/Ext.data.Record\" rel=\"Ext.data.Record\" class=\"docClass\">record</a> will be used as base.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>objectType</span> : <a href=\"#!/api/Zarafa.core.mapi.ObjectType\" rel=\"Zarafa.core.mapi.ObjectType\" class=\"docClass\">Zarafa.core.mapi.ObjectType</a><div class='sub-desc'><p>The object type for which\nthe new base class must be set.</p>\n</div></li><li><span class='pre'>baseClass</span> : Class<div class='sub-desc'><p>The new base class to use</p>\n</div></li></ul></div></div></div><div id='method-setSubStoreToCustomType' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-method-setSubStoreToCustomType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-method-setSubStoreToCustomType' class='name expandable'>setSubStoreToCustomType</a>( <span class='pre'>customType, name, type</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>This will set the SubStore type for a particular subStore name\nin the definition. ...</div><div class='long'><p>This will set the SubStore type for a particular subStore name\nin the <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">definition</a>. Inside\na SubStore a Table can be loaded like Attachments, recipients, members, etc.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>customType</span> : <a href=\"#!/api/Zarafa.core.data.RecordCustomObjectType\" rel=\"Zarafa.core.data.RecordCustomObjectType\" class=\"docClass\">Zarafa.core.data.RecordCustomObjectType</a><div class='sub-desc'><p>The custom type for which the\nSubStore type must be set</p>\n</div></li><li><span class='pre'>name</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The name of the SubStore table</p>\n</div></li><li><span class='pre'>type</span> : Constructor<div class='sub-desc'><p>The SubStore type</p>\n</div></li></ul></div></div></div><div id='method-setSubStoreToMessageClass' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-method-setSubStoreToMessageClass' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-method-setSubStoreToMessageClass' class='name expandable'>setSubStoreToMessageClass</a>( <span class='pre'>messageClass, name, type</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>This will set the SubStore type for a particular subStore name\nin the definition. ...</div><div class='long'><p>This will set the SubStore type for a particular subStore name\nin the <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">definition</a>. Inside\na SubStore a Table can be loaded like Attachments, recipients, members, etc.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>messageClass</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The messageclass for which</p>\n</div></li><li><span class='pre'>name</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The name of the SubStore table</p>\n</div></li><li><span class='pre'>type</span> : Constructor<div class='sub-desc'><p>The SubStore type</p>\n</div></li></ul></div></div></div><div id='method-setSubStoreToObjectType' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.RecordFactory'>Zarafa.core.data.RecordFactory</span><br/><a href='source/RecordFactory.html#Zarafa-core-data-RecordFactory-method-setSubStoreToObjectType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.RecordFactory-method-setSubStoreToObjectType' class='name expandable'>setSubStoreToObjectType</a>( <span class='pre'>objectType, name, type</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>This will set the SubStore type for a particular subStore name\nin the definition. ...</div><div class='long'><p>This will set the SubStore type for a particular subStore name\nin the <a href=\"#!/api/Zarafa.core.data.RecordDefinition\" rel=\"Zarafa.core.data.RecordDefinition\" class=\"docClass\">definition</a>. Inside\na SubStore a Table can be loaded like Attachments, recipients, members, etc.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>objectType</span> : <a href=\"#!/api/Zarafa.core.mapi.ObjectType\" rel=\"Zarafa.core.mapi.ObjectType\" class=\"docClass\">Zarafa.core.mapi.ObjectType</a><div class='sub-desc'><p>The object type for which the\nSubStore type must be set</p>\n</div></li><li><span class='pre'>name</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The name of the SubStore table</p>\n</div></li><li><span class='pre'>type</span> : Constructor<div class='sub-desc'><p>The SubStore type</p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{}});