Ext.data.JsonP.Zarafa_core_data_UIFactory({"tagname":"class","name":"Zarafa.core.data.UIFactory","autodetected":{"members":true},"files":[{"filename":"UIFactory.js","href":"UIFactory.html#Zarafa-core-data-UIFactory"}],"extends":null,"singleton":true,"members":[{"name":"layers","tagname":"property","owner":"Zarafa.core.data.UIFactory","id":"property-layers","meta":{"private":true}},{"name":"getPreferredLayer","tagname":"method","owner":"Zarafa.core.data.UIFactory","id":"method-getPreferredLayer","meta":{}},{"name":"openContextMenu","tagname":"method","owner":"Zarafa.core.data.UIFactory","id":"method-openContextMenu","meta":{}},{"name":"openCreateRecord","tagname":"method","owner":"Zarafa.core.data.UIFactory","id":"method-openCreateRecord","meta":{}},{"name":"openDefaultContextMenu","tagname":"method","owner":"Zarafa.core.data.UIFactory","id":"method-openDefaultContextMenu","meta":{}},{"name":"openLayerComponent","tagname":"method","owner":"Zarafa.core.data.UIFactory","id":"method-openLayerComponent","meta":{}},{"name":"openViewRecord","tagname":"method","owner":"Zarafa.core.data.UIFactory","id":"method-openViewRecord","meta":{}},{"name":"registerLayer","tagname":"method","owner":"Zarafa.core.data.UIFactory","id":"method-registerLayer","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-Zarafa.core.data.UIFactory","short_doc":"The UI Factory is responsible for opening panels in layers. ...","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Files</h4><div class='dependency'><a href='source/UIFactory.html#Zarafa-core-data-UIFactory' target='_blank'>UIFactory.js</a></div></pre><div class='doc-contents'><p>The UI Factory is responsible for opening <a href=\"#!/api/Zarafa.core.ui.ContentPanel\" rel=\"Zarafa.core.ui.ContentPanel\" class=\"docClass\">panels</a> in <a href=\"#!/api/Zarafa.core.data.UIFactoryLayer\" rel=\"Zarafa.core.data.UIFactoryLayer\" class=\"docClass\">layers</a>.\nThe UI Factory decides the type of layer, based on cascading rules.\nTypes of layers are registered via <a href=\"#!/api/Zarafa.core.data.UIFactory-method-registerLayer\" rel=\"Zarafa.core.data.UIFactory-method-registerLayer\" class=\"docClass\">registerLayer</a>.\nFirst the type of layer is taken from settings, and then from a config object passed when creating the panel.</p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-property'>Properties</h3><div class='subsection'><div id='property-layers' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.UIFactory'>Zarafa.core.data.UIFactory</span><br/><a href='source/UIFactory.html#Zarafa-core-data-UIFactory-property-layers' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.UIFactory-property-layers' class='name expandable'>layers</a> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>The array of registered layers. ...</div><div class='long'><p>The array of <a href=\"#!/api/Zarafa.core.data.UIFactory-method-registerLayer\" rel=\"Zarafa.core.data.UIFactory-method-registerLayer\" class=\"docClass\">registered</a> <a href=\"#!/api/Zarafa.core.data.UIFactoryLayer\" rel=\"Zarafa.core.data.UIFactoryLayer\" class=\"docClass\">layers</a>.</p>\n<p>Defaults to: <code>[]</code></p></div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-getPreferredLayer' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.UIFactory'>Zarafa.core.data.UIFactory</span><br/><a href='source/UIFactory.html#Zarafa-core-data-UIFactory-method-getPreferredLayer' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.UIFactory-method-getPreferredLayer' class='name expandable'>getPreferredLayer</a>( <span class='pre'>config, record</span> ) : <a href=\"#!/api/Zarafa.core.data.UIFactoryLayer\" rel=\"Zarafa.core.data.UIFactoryLayer\" class=\"docClass\">Zarafa.core.data.UIFactoryLayer</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Method to determine the layer to use ...</div><div class='long'><p>Method to determine the <a href=\"#!/api/Zarafa.core.data.UIFactoryLayer\" rel=\"Zarafa.core.data.UIFactoryLayer\" class=\"docClass\">layer</a> to use</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : Object<div class='sub-desc'><p>Configuration object</p>\n</div></li><li><span class='pre'>record</span> : <a href=\"#!/api/Zarafa.core.data.MAPIRecord\" rel=\"Zarafa.core.data.MAPIRecord\" class=\"docClass\">Zarafa.core.data.MAPIRecord</a><div class='sub-desc'><p>The record(s) loaded in the component</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Zarafa.core.data.UIFactoryLayer\" rel=\"Zarafa.core.data.UIFactoryLayer\" class=\"docClass\">Zarafa.core.data.UIFactoryLayer</a></span><div class='sub-desc'><p>The Layer in which to place a component</p>\n</div></li></ul></div></div></div><div id='method-openContextMenu' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.UIFactory'>Zarafa.core.data.UIFactory</span><br/><a href='source/UIFactory.html#Zarafa-core-data-UIFactory-method-openContextMenu' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.UIFactory-method-openContextMenu' class='name expandable'>openContextMenu</a>( <span class='pre'>componentType, records, config</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Open a context menu with supplied componentType ...</div><div class='long'><p>Open a context menu with supplied componentType</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>componentType</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>Shared component type taken from <a href=\"#!/api/Zarafa.core.data.SharedComponentType\" rel=\"Zarafa.core.data.SharedComponentType\" class=\"docClass\">Zarafa.core.data.SharedComponentType</a></p>\n</div></li><li><span class='pre'>records</span> : <a href=\"#!/api/Zarafa.core.data.MAPIRecord\" rel=\"Zarafa.core.data.MAPIRecord\" class=\"docClass\">Zarafa.core.data.MAPIRecord</a>|<a href=\"#!/api/Zarafa.core.data.MAPIRecord\" rel=\"Zarafa.core.data.MAPIRecord\" class=\"docClass\">Zarafa.core.data.MAPIRecord</a>[]<div class='sub-desc'><p>The record(s) for which the contextmenu will be shown</p>\n</div></li><li><span class='pre'>config</span> : Object<div class='sub-desc'><p>Configuration object</p>\n</div></li></ul></div></div></div><div id='method-openCreateRecord' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.UIFactory'>Zarafa.core.data.UIFactory</span><br/><a href='source/UIFactory.html#Zarafa-core-data-UIFactory-method-openCreateRecord' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.UIFactory-method-openCreateRecord' class='name expandable'>openCreateRecord</a>( <span class='pre'>records, config</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Will open the create action for the passed record. ...</div><div class='long'><p>Will open the create action for the passed record.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>records</span> : <a href=\"#!/api/Zarafa.core.data.MAPIRecord\" rel=\"Zarafa.core.data.MAPIRecord\" class=\"docClass\">Zarafa.core.data.MAPIRecord</a>|<a href=\"#!/api/Zarafa.core.data.MAPIRecord\" rel=\"Zarafa.core.data.MAPIRecord\" class=\"docClass\">Zarafa.core.data.MAPIRecord</a>[]<div class='sub-desc'><p>The record/records which will be loaded in dialog.</p>\n</div></li><li><span class='pre'>config</span> : Object<div class='sub-desc'><p>configuration object.</p>\n</div></li></ul></div></div></div><div id='method-openDefaultContextMenu' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.UIFactory'>Zarafa.core.data.UIFactory</span><br/><a href='source/UIFactory.html#Zarafa-core-data-UIFactory-method-openDefaultContextMenu' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.UIFactory-method-openDefaultContextMenu' class='name expandable'>openDefaultContextMenu</a>( <span class='pre'>records, position, configuration</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Will open a contextmenu for the passed record/records\nThis method uses the default componentType for context menus an...</div><div class='long'><p>Will open a contextmenu for the passed record/records\nThis method uses the default componentType for context menus and calls <a href=\"#!/api/Zarafa.core.data.UIFactory-method-openContextMenu\" rel=\"Zarafa.core.data.UIFactory-method-openContextMenu\" class=\"docClass\">openContextMenu</a> with it.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>records</span> : <a href=\"#!/api/Zarafa.core.data.MAPIRecord\" rel=\"Zarafa.core.data.MAPIRecord\" class=\"docClass\">Zarafa.core.data.MAPIRecord</a>|<a href=\"#!/api/Zarafa.core.data.MAPIRecord\" rel=\"Zarafa.core.data.MAPIRecord\" class=\"docClass\">Zarafa.core.data.MAPIRecord</a>[]<div class='sub-desc'><p>The record/records for which the contextmenu should be shown</p>\n</div></li><li><span class='pre'>position</span> : Object<div class='sub-desc'><p>The X and Y coordinate where the contextmenu was requested</p>\n</div></li><li><span class='pre'>configuration</span> : Object<div class='sub-desc'><p>object which should be applied to the contextmenu.</p>\n</div></li></ul></div></div></div><div id='method-openLayerComponent' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.UIFactory'>Zarafa.core.data.UIFactory</span><br/><a href='source/UIFactory.html#Zarafa-core-data-UIFactory-method-openLayerComponent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.UIFactory-method-openLayerComponent' class='name expandable'>openLayerComponent</a>( <span class='pre'>componentType, record, config</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Open a component in a chosen layer. ...</div><div class='long'><p>Open a <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">component</a> in a chosen layer.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>componentType</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>A component type taken from the enumeration <a href=\"#!/api/Zarafa.core.data.SharedComponentType\" rel=\"Zarafa.core.data.SharedComponentType\" class=\"docClass\">Zarafa.core.data.SharedComponentType</a></p>\n</div></li><li><span class='pre'>record</span> : <a href=\"#!/api/Zarafa.core.data.MAPIRecord\" rel=\"Zarafa.core.data.MAPIRecord\" class=\"docClass\">Zarafa.core.data.MAPIRecord</a><div class='sub-desc'><p>The record(s) loaded in the component</p>\n</div></li><li><span class='pre'>config</span> : Object<div class='sub-desc'><p>Configuration object</p>\n</div></li></ul></div></div></div><div id='method-openViewRecord' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.UIFactory'>Zarafa.core.data.UIFactory</span><br/><a href='source/UIFactory.html#Zarafa-core-data-UIFactory-method-openViewRecord' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.UIFactory-method-openViewRecord' class='name expandable'>openViewRecord</a>( <span class='pre'>records, config</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Will open the view action for the passed record. ...</div><div class='long'><p>Will open the view action for the passed record.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>records</span> : <a href=\"#!/api/Zarafa.core.data.MAPIRecord\" rel=\"Zarafa.core.data.MAPIRecord\" class=\"docClass\">Zarafa.core.data.MAPIRecord</a>|<a href=\"#!/api/Zarafa.core.data.MAPIRecord\" rel=\"Zarafa.core.data.MAPIRecord\" class=\"docClass\">Zarafa.core.data.MAPIRecord</a>[]<div class='sub-desc'><p>The record/records which will be loaded in dialog.</p>\n</div></li><li><span class='pre'>config</span> : Object<div class='sub-desc'><p>configuration object.</p>\n</div></li></ul></div></div></div><div id='method-registerLayer' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Zarafa.core.data.UIFactory'>Zarafa.core.data.UIFactory</span><br/><a href='source/UIFactory.html#Zarafa-core-data-UIFactory-method-registerLayer' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Zarafa.core.data.UIFactory-method-registerLayer' class='name expandable'>registerLayer</a>( <span class='pre'>layer</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Register a layer a layer to the {@Link layers} array. ...</div><div class='long'><p>Register a layer a layer to the {@Link <a href=\"#!/api/Zarafa.core.data.UIFactory-property-layers\" rel=\"Zarafa.core.data.UIFactory-property-layers\" class=\"docClass\">layers</a>} array.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>layer</span> : <a href=\"#!/api/Zarafa.core.data.UIFactoryLayer\" rel=\"Zarafa.core.data.UIFactoryLayer\" class=\"docClass\">Zarafa.core.data.UIFactoryLayer</a><div class='sub-desc'><p>The layer to register</p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{}});